/* @(#)proto_fitnol.h	1.1 (ESO-IPG) 2/11/94 10:14:52 */
/*++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
.COPYRIGHT   (c) 1993 European Southern Observatory
.IDENTifer   proto_fitnol.h
.AUTHOR      Otmar Stahl 
.KEYWORDS    prototypes
.LANGUAGE    C & ANSI-C
.PURPOSE     prototypes for all NR-Routines routines used in MOS

.ENVIRONment none

.VERSION     1.0    6-APR-1994 Otmar Stahl 
------------------------------------------------------------*/
extern void mrqmin( 
#ifdef __STDC__
double x[], double y[], double sig[],int ndata,double a[],int ia[],
	int ma, double **covar, double **alpha, double *chisq,
	void (*funcs)(double,double [],double *,double [],int),double *alamda
#endif
);

extern void mrqcof( 
#ifdef __STDC__
double x[],double y[],double sig[],int ndata,double a[],int ia[],
	int ma, double **alpha, double beta[], double *chisq,
	void (*funcs)(double, double [], double *, double [], int)
#endif
);

extern void covsrt( 
#ifdef __STDC__
     double **, int, int [], int
#endif
);

extern void fgauss(
#ifdef __STDC__
     double, double [], double *, double [], int
#endif
);

extern int fit_gauss( 
#ifdef __STDC__
     double *, double *, int, double *
#endif
);

extern int fit_gauss_weight( 
#ifdef __STDC__
     double *, double *, double *, int, double *, int *
#endif
);

extern void fit_linpol( 
#ifdef __STDC__
     double *, double *, int, double *
#endif
);

extern void mrqmin2D( 
#ifdef __STDC__
double [],double [],double [], double [],int ,double [],int [],
	int , double **, double **, double *,
	void (*funcs)(double,double,double [],double *,double [],int),double *
#endif
);

extern void mrqcof2D( 
#ifdef __STDC__
double [],double [],double [],double [],int ,double [],int [],
	int , double **, double [], double *,
	void (*funcs)(double,double, double [], double *, double [],int)
#endif
);
 






