/*    compute Fourier sum to get Stokes Q & U for an array */
extern void sfourier( 
#ifdef __STDC__
	float [],float [],float [],float [],float,float [],float [],float [],
	float [],int,int
#endif
);

/*    compute sum of (ord+ext)/2*N to get Stokes I for N retarder positions */
extern int stokesi(
#ifdef __STDC__
        float [],float [],float [],float [],int,int,int
#endif
);

/*    compute degree and angle of the linear polarisation including non-linear
      statistic and statistical correction for for "Erwartung" value */
extern int linpol(
#ifdef __STDC__
	float [],float [],float [],float [], float [],float [],float [],
	float [], int, int, int
#endif
);

/*    old Stokes V by quotient method - only circular polarimetry - useless
 method - the equation is wrong!!!*/
extern int stokes(
#ifdef __STDC__
       float [], float [], float [], float [],
       float [], float [], float [], float [],
       float [], float [], int 
#endif
);

/*    Stokes V by quotient method - only circular polarimetry */
extern int stokesv(
#ifdef __STDC__
       float [], float [], float [], float [],
       float [], float [], float [], float [],
       float [], float [], int 
#endif
);











