#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#ifndef vms
#include <sys/types.h>
#include <sys/stat.h>
#else
#include <sys/types.h>
#include <sys/stat.h>
#endif

#include <midas_def.h>
#include <gl_defs.h>


/* check for the existence of 'file' with the extension 'ext' (incl. dot) */
#ifdef __STDC__
   int file_exists( char *file, char *ext )
#else
   int file_exists( file, ext )
   char *file, *ext;
#endif
{
    char fileext[MAXLINE];
    int i;
    struct stat statbuf;

    for ( i = 0; file[i] != '\0'; i++ )
        if ( file[i] == ' ' ) {
            file[i] = '\0';
            break;
        }

    if ( (int) strstrs(file, ext) == 0 )
        sprintf( fileext, "%s%s", file, ext );
    else
        strcpy( fileext, file );

    if ( stat(fileext, &statbuf) == -1 )
        return(FALSE);

    return(TRUE);
}
