! ++++++++++++++++++++++++++++++++++++++++++++++++++
!
CROSSREF FF TABLE THRES XPOS
!
DEFINE/PARAM P1 ? IMAGE  "Enter input image:			"
DEFINE/PARAM P2 - TABLE  "Enter input table -- ipol-mask:	"
DEFINE/PARAM P3 - TABLE  "Enter input table -- star-positions:	"
DEFINE/PARAM P4 ? NUMBER "[Dsiz,Fsiz,Nsiz,Bsiz] -- pixels	"
DEFINE/PARAM P5 ? NUMBER "[RON,gain,Nsigma]			"
DEFINE/PARAM P6 - ? "[FWHMx,FWHMy] -- guess values 	"
DEFINE/PARAM P7 1 NUMBER "quiet=-1 nodebug=0 debug=1 more=2	"
DEFINE/PARAM P8 {PSF} NUMBER "PSF type 1,2,3			"
!
DEFINE/LOCAL ORI/C/1/60 " " all
DEFINE/LOCAL QUALIF/C/1/4 " " all
DEFINE/LOCAL INDEX/I/1/1 0
DEFINE/LOCAL DEBUG/I/1/1 {P7} 

!
WRITE/KEYW QUALIF {MID$CMND(11:14)}

IF "{P3}" .EQ. "-" THEN
	LOAD {P1}
	CENTER/GAUSS ? middummt
	DEFINE/LOCAL IN_C/C/1/60 middummt
ELSE
	DEFINE/LOCAL IN_C/C/1/60 {P3}
ENDIF
IF "{P6}" .EQ. "-" THEN
	DEFI/LOCA RBUFF/R/1/2 0.,0.
	RBUFF(1) = {{IN_C},:XFWHM,@1}
	RBUFF(2) =  RBUFF(1)
ELSE
	DEFI/LOCA RBUFF/R/1/2 {P6}
ENDIF
!
!
WRITE/KEYW IN_A    {P1}
WRITE/KEYW IN_B    {P2}

WRITE/KEYW INPUTI  {P4},0,0,0,0
WRITE/KEYW INPUTR  {P5}

WRITE/KEYW INPUTD  4,{RBUFF(1)},{RBUFF(2)},0,0,0,0
WRITE/KEYW ORI {IN_A}
!
!
RUN STD_EXE:IPOLMAGNI
!






