! @(#)ipolsortex.prg	1.3 (ESO-IPG) 2/11/94 13:19:57
! +++++++++++++++++++++++++++++++++++++++++++++++++
!
! .IDENTIFICATION
!
! IPOL PROCEDURE : IPOLSORTEX.PRG
!
! .PURPOSE
!
! execute the command :
! SORT/EX table column 
! 
! -------------------------------------------------
!
CROSSREF IPOL_TAB SC_SKY
!
DEFINE/PARAM P1 {IPOL_TAB} TABLE   "Table with files"
DEFINE/PARAM P2 {CONIMA}   CHAR    "Enter column with input image:"
!
!-------------------------------------------------------------------------------
! Local keys for sorting part
!---------------------------------------------------
DEFINE/LOCAL NUMROW/I/1/1 0.
DEFINE/LOCAL NUMOBJ/I/1/1 0.
DEFINE/LOCAL I/I/1/1 0.
DEFINE/LOCAL J/I/1/1 0.
DEFINE/LOCAL RET_ANG/R/1/1 0.
DEFINE/LOCAL VAL_SC/C/1/60 " " ALL
DEFINE/LOCAL VALROW/I/1/1 0.
DEFINE/LOCAL TRY/C/1/1 F
DEFINE/LOCAL COL_IN/C/1/16 " " ALL
DEFINE/LOCAL OUT_TAB/C/1/60 " " ALL
DEFINE/LOCAL TMP/C/1/60 " " ALL
WRITE/KEY TMP/C/1/60 " " ALL
!-------------------------------------------------------------------------------
! Get number of rows in ipol_tab
!-------------------------------------------------------------------------------
COPY/DK {P1}EX.tbl TBLCONTR/I/4/4 NUMROW
VALROW = NUMROW+1
!-------------------------------------------------------------------------------
! Create temporary table to hold names of extracted frames
! and angles of retarder plate
!-------------------------------------------------------------------------------
CREATE/TAB middummy 3 100 NULL
CREATE/COL middummy {P2} ? A40 C*40
CREATE/COL middummy :RET_ANG ? R*4 F8.2
WRITE/KEY TMP/C/1/60 middummy
SET/FORMAT I2
!-------------------------------------------------------------------------------
! Create new tables to hold names of extracted frames 
! and angles of retarder plate
!-------------------------------------------------------------------------------
DO I = 1 NSLIT
  CREATE/TAB {P1}{I} 3 100 NULL
  CREATE/COL {P1}{I} {P2} ? A40 C*40
  CREATE/COL {P1}{I} :RET_ANG ? R*4 F8.2
!  WRITE/OUT " "
!  WRITE/OUT "Table {P1}{I} created to hold names of sorted output frames for object {I}" 
  WRITE/KEY IN_A {P1}EX
  WRITE/KEY IN_B {P2}
  WRITE/KEY OUT_A {P1}{I}
  RUN STD_EXE:spolsortex
!-------------------------------------------------------------------------------
! Tables are only created for slitlets with ordinary rays
!-------------------------------------------------------------------------------
  I = {I}+1
ENDDO
