! @(#)mosoffset.prg	1.3 (ESO-IPG) 2/17/94 17:42:34
! @(#)mosoffset.prg	version 5/30/96 -- T.Szeifert@lsw.uni-heidelberg.de 
! @(#)mosoffset.prg	version 6/10/97 -- T.Szeifert	--  a little faster
! 	

define/param P1 {MOS}     TAB  "Slit Table:"
define/param P2 {WLC}     IMA  "Arc frame:"
define/param P3 {SEAPAR}  TAB  "Search parameters:"
define/param P4 {YBIN}    NUM  "YBIN:"

define/local slit/I/1/1 0
define/local offset/R/1/1 0. all
define/local pixel/I/1/2  0,0
define/local seap/R/1/2 {P3}
define/local ipar/i/1/2 {P4}
set/format I1  F7.2

!npix(1) =  {{P2}.bdf,NPIX(1)}
!npix(2) =  {{P2}.bdf,NPIX(2)}
npix(1) =  {{P2},NPIX(1)}
npix(2) =  {{P2},NPIX(2)}

pixel(1) = {{P1},:ystart,@1}
pixel(2) = {{P1},:yend,@1}
set/midas output=LOGONLY
AVERAGE/ROW &i = {P2} {pixel(1)},{pixel(2)}
SEARCH/LINE &i {seap(2)},{seap(1)}  &a  gauss emiss
comp/tabl &a :PEAK = sqrt(:PEAK)					!<<

WRITE/TABLE {P1} :XOFFSET @1 0.
SET/MIDAS OUTPUT=YES
write/out "Slit Nr. 1. Offset = 0."


DO slit = 2 {NSLIT}

   SET/MIDAS output=LOGONLY
   pixel(1) = {{P1},:ystart,@{slit}}
   pixel(2) = {{P1},:yend,@{slit}}

   IPAR(1) = pixel(1) + 2 * IPAR(2)   
   IF pixel(2) .GT. IPAR(1) THEN	! if slitlet greater then YBIN(2)
	pixel(2) = {IPAR(1)}
   ENDIF	

   AVERAGE/ROW &i = {P2} {pixel(1)},{pixel(2)}
   SEARCH/LINE &i {seap(2)},{seap(1)}  &b  gauss emiss

   comp/tabl &b :PEAK = sqrt(:PEAK)
   CORRELATE/LINE &a &b 1 0.,3,{NPIX(1)},2  X,+,:PEAK  		!<<
   offset = outputi(1)*{middummx.bdf,STEP(1)}+{middummx.bdf,START(1)}
   {P1},:XOFFSET,@{SLIT} = OFFSET 
   SET/MIDAS OUTPUT=YES
   WRITE/OUT "Slit Nr. {slit}. Offset = {offset}"

ENDDO

name/colum {p1} #4 ? f9.3



