! @(#)mossave.prg	1.4 (ESO-IPG) 2/15/94 11:30:54
!+++++++++++++++++++++++++++++++++++++++++++++++++++++++
!
!.COPYRIGHT   (C) 1991 European Southern Observatory
!.IDENT       mossave.prg
!.AUTHOR      Pascal Ballester,  ESO - Garching
!.KEYWORDS    Spectroscopy, MOS
!.PURPOSE     Command SAVE/MOS
!.VERSION     1.0    Creation    23-AUG-1991 PB
!
!-------------------------------------------------------
!
DEFINE/PARAM   P1    ?     C    "Session name :"
!
WRITE/OUT Process tables are saved
!
!
DEFI/LOCA CDUM/C/1/60 "{MOS}.tbl"

IF M$EXIST(CDUM) .EQ. 1 THEN
	SELE/TABL	{MOS}.tbl 	ALL
	COPY/TABL	{MOS}.tbl	{P1}SLIT.tbl
ELSE IF M$EXIST(MOS) .EQ. 1 THEN
	SELE/TABL	{MOS}	 	ALL
	COPY/TABL	{MOS}		{P1}SLIT.tbl
ELSE
	WRITE/OUT	"No slitlet table -- {MOS}"
ENDIF

WRITE/KEY CDUM "{LINPOS}.tbl"
IF M$EXIST(CDUM) .EQ. 1 THEN
	SELE/TABL	{LINPOS}.tbl 	ALL
	COPY/TABL	{LINPOS}.tbl  	{P1}LIN.tbl
ELSE IF M$EXIST(LINPOS) .EQ. 1 THEN
	SELE/TABL	{LINPOS} 	ALL
	COPY/TABL	{LINPOS}  	{P1}LIN.tbl
ELSE
	WRITE/OUT	"No wave length calibration table -- {LINPOS}"
ENDIF

WRITE/KEY CDUM "{LINFIT}.tbl"
IF M$EXIST(CDUM) .EQ. 1 THEN
	SELE/TABL	{LINFIT}.tbl 	ALL
	COPY/TABL	{LINFIT}.tbl  	{P1}FIT.tbl
ELSE IF M$EXIST(LINFIT) .EQ. 1 THEN
	SELE/TABL	{LINFIT} 	ALL
	COPY/TABL	{LINFIT}  	{P1}FIT.tbl
ELSE
	WRITE/OUT	"No table with dispersion coeficients -- {LINFIT}"
ENDIF

WRITE/KEY CDUM "{WINDOWS}.tbl"
IF M$EXIST(CDUM) .EQ. 1 THEN
	SELE/TABL	{WINDOWS}.tbl 	ALL
	COPY/TABL	{WINDOWS}.tbl 	{P1}WIN.tbl
ELSE IF M$EXIST(WINDOWS) .EQ. 1 THEN
	SELE/TABL	{WINDOWS} 	ALL
	COPY/TABL	{WINDOWS} 	{P1}WIN.tbl
ELSE
	WRITE/OUT	"No table with object/sky positions -- {WINDOWS}" 
ENDIF


!
SAVINIT/MOS  {P1}SLIT.tbl  WRITE
!
RETURN














