!
!______________median of the bias frames_____________
!
DEFI/PARA P1 {OSTABLE} ? "observation summary table"
DEFI/PARA P2 {BIAS} ? "output frame"
DEFI/PARA P3 {OVERSCAN} ? "overscan area"
DEFI/PARA P4 {CRBIAS} ? "CRULE-descriptor to classify setup		:"
DEFI/PARA P8 CLAS ? "classify images:"
!
!
DEFINE/LOCAL 	I/I/1/1 0
DEFINE/LOCAL 	OVER/c/1/60 {P3} 	
DEFINE/LOCAL	NBIAS/I/1/1 0
DEFINE/LOCAL	IN_1/C/1/80 " " ALL
DEFINE/LOCAL	IN_2/C/1/80 " " ALL
WRITE/DESC 	{P1}.tbl CRBIAS/c/1/320 {P4}

DEFI/LOCA NFRAME/I/1/1 0
DEFI/LOCA SUMF/D/1/1 0.0

!
!
CREATE/ICAT 	biascat NULL
IF "{P8}" .EQ. "CLAS" THEN
	CLAS/IMAG {P1} CRBIAS :CRBIAS yes
ENDIF
SET/MIDAS output=LOGONLY
DISPLAY/LONG
!
DO I = 1 {{P1}.tbl,TBLCONTR(4)}
   IF "{{P1}.tbl,:CRBIAS,@{I}}" .eq. "yes" then	
	NBIAS = NBIAS + 1
        WRITE/KEYW 	IN_1 {{P1},:FILENAME,@{I}}
	SET/MIDAS output=yes
   	WRITE/OUT	"processing bias frame {IN_1}" 
	SET/MIDAS output=LOGONLY
	IF "{OVER(1:1)}" .EQ. "[" THEN
		STATIST/IMAGE 	{IN_1} {OVER} #512
	      	COMPUTE/IMAGE 	midd{IN_1} = "{IN_1}" - {OUTPUTR(8)}
	      	ADD/ICAT 	biascat midd{IN_1}
	ELSE
!		INPUTI = M$INDEX(IN_1,".fits") - 1
!		IF INPUTI .GT. -1 THEN
!			WRITE/KEY IN_2/C/1/80 midd{IN_1(1:{INPUTI})}.bdf
!			INDI/FITS	{IN_1} {IN_2}
!			SET/MIDAS 	output=LOGONLY
!		      	ADD/ICAT 	biascat {IN_2}
!
!
! 	new! subtract mean then median:
		INPUTI = M$INDEX(IN_1,".fits") - 1
		WRITE/KEY IN_2/C/1/80 midd{IN_1(1:{INPUTI})}.bdf
		STATIST/IMAGE 	{IN_1} [900,900:1000,1000]  #512
	      	COMPUTE/IMAGE 	{IN_2} = "{IN_1}" - {OUTPUTR(8)}
		SUMF = SUMF + {OUTPUTR(8)}
		NFRAME = NFRAME + 1
	      	ADD/ICAT biascat {IN_2}
	ENDIF
   ENDIF
ENDDO
!
IF NBIAS .GT. 0 then
	SET/MIDAS output=yes
	MEDI/QUIC biascat.cat {P2} 1
	IF "{P8}" .EQ. "CLASS" THEN
	   WRITE/OUT "median of {P1}.cat -> {p2}.bdf"
	ELSE
	   WRITE/OUT "median of selected farmes ->  {p2}.bdf"
	ENDIF
	IF "{OVER(1:1)}" .NE. "[" THEN
		COMP/IMAG {p2}.bdf = {p2}.bdf + {SUMF}/{NFRAME}
	ENDIF
ELSE
	WRITE/OUT "none of the frame passed classification rule"
ENDIF
!
DELE/IMAG midd* NO














