write/out "This is a demo of the quick-look module"
if "{p2}" .ne. "?" goto {p2}
init:
set/con do 
write/out "initialize it ..."
init/quick
crea/ost dut*.bdf ? quick96 osttest MC
SORT/TABL osttest :FILENAME
!	crea/ost dut*.mt ? quick96 osttest FC
name/colu osttest :RA R11.6
name/colu osttest :DEC S11.5
name/colu osttest :EPOCHE F8.2
name/colu osttest :MJD F8.3
name/colu osttest :AIRMASS F6.3
name/colu osttest :EXPTIME F8.2
set/quick OBJECT=col272 DLIST=quick96 OSTABLE=osttest 
set/quick OVERSCAN=[@6,@6:@55,@505] USEAREA=[@61,@6:@560,@505]
set/quick BIAS=bias
set/quick OBJ1=dut0018 FF1=flatu 
set/quick OBJ2=dut0017 FF2=flatb 
set/quick OBJ3=dut0016 FF3=flatv 
show/quick
!
!
!
bias:
write/out "compute mean bias frame ..."
BIAS/quic
load bias
!
!
!
flat:
write/out "compute mean flatfield images ..."
write/out "V-filter"
FLAT/QUICK 3
load flatv
write/out "B-filter"
FLAT/QUICK 2
load flatb
write/out "U-filter"
FLAT/QUICK 1
load flatu
!
!
!
dire:
write/out "flatfield correction in all filters:"
write/out "Johnson V"
dire/quic 3 osttest.tbl
load/itt neg
write/out "Johnson B"
dire/quic 2 osttest.tbl
write/out "Johnson U"
dire/quic 1 osttest.tbl
!
!
!
set:
!write/out "define your own setup and reduce it"
!write/out "specify flat fields for setup:"
!changesetup/quick n
!write/out "compute flat field:"
!set/format i1
!flat/quic ? {NSET}
!load FF{NSET}
!inqui/key OBJ{NSET} "filename of input frame in setup {NSET} to be reduced ?"
!write/out "reduce frame {OBJ{NSET}}"
!load {OBJ{NSET}}
!set/format
!changesetup/quic d
!
!
!
rm:
if "{p1(1:2)}" .eq. "rm" then
	dele/imag midd* NO
	dele/imag flat*
	dele/imag bias
	dele/imag Ddut*
	dele/imad FF4
endif 







