!
!______________pre-reduction of direct imaging frame_____________
!
!
set/format i1
DEFI/PARA P1 ? N	  "setup number "
DEFI/PARA P2 {OBJ{P1}} ?  "ccd direct image:   "
DEFI/PARA P3 {FF{P1}} ?	  "mean flatfield image:   "
set/format
DEFI/PARA P4 {BIAS}   ?	  "mean bias frame:   "
DEFI/PARA P5 {OVERSCAN} ? "overscan area [@xst,@yst:@xend,@yend]:"
DEFI/PARA P6 {USEAREA}  ? "usefull area on CCD	[@xst,@yst:@xend,@yend]:"
DEFI/PARA P8 CLAS ? "classify images:"
!
DEFI/LOCA CUT1/r/1/2 0.,0.
DEFI/LOCA BIAS/r/1/2 0.,0.
DEFI/LOCA IN_I/C/1/60 {P2}
DEFI/LOCA IN_J/C/1/60 " " ALL
DEFI/LOCA FILTYP/I/1/1 0
DEFI/LOCA I/I/1/1 0
!
FILTYP = M$INDEX(IN_I,".tbl")
!
!______________one file only__________________________
!
IF FILTYP .lt. 2 then
  SET/MIDAS output=LOGONLY
  @s world2pixel {P2}
!
!	bias
!
  STAT/IMAG {P2} {P5} #512
  BIAS(1)	= OUTPUTR(8)
  BIAS(2)	= OUTPUTR(4)
  COMP/IMAG &b = {P2} - ({P4} + {OUTPUTR(8)})
!
!	extract & flatfield
!
  EXTR/IMAG &c = &b{P6}
  COMP/IMAG D{P2} = (&c / {P3})
!
!	cut & sky
!
  STAT/IMAG D{P2} [@51,@51:@100,@100] 
  CUT1(2)   =  OUTPUTR(8) + (OUTPUTR(4) * 10.)
  CUT1(1)   =  OUTPUTR(8) - (OUTPUTR(4) * 2.)
  WRITE/DESC D{P2} SKY/r/1/2 {OUTPUTR(8)},{OUTPUTR(4)}
!  LOAD 	D{P2} CUTS={CUT1(1)},{CUT1(2)}
  SET/MIDAS output=YES
  WRITE/OUT "D{P2} : flatfielded CCD direct image"
!
  DELE/DESC D{P2} HISTOGRAM
  DELE/DESC D{P2} HIST_BINS
  DELE/DESC D{P2} STATISTIC
ELSE
!
!_________________all files in {OSTABLE}______________
!
  COPY/KD CROBJ{P1}/C/1/320 {P2} CROBJ{P1}/C/1/320
  IF "{P8}" .EQ. "CLAS" THEN
    CLAS/IMAG {P2} CROBJ{P1} :CROBJ{P1} yes
  ENDIF	
  DO I = 1 {{P2},TBLCONTR(4)} 
    SET/MIDAS output=LOGONLY	
    IF "{{P2},:CROBJ{P1},@{I}}" .eq. "yes" then
      SET/MIDAS output=YES	
      WRITE/KEYW IN_I {{P2},:FILENAME,@{I}}
      @s world2pixel {IN_I}
!
!	bias
!
!      SET/MIDAS output=LOGONLY
      IF "{P5(1:1)}" .EQ. "[" THEN
	STAT/IMAG {IN_I} {P5} #512
      	SET/MIDAS output=YES	
      	BIAS(1)	= OUTPUTR(8)
      	BIAS(2)	= OUTPUTR(4)
      	COMP/IMAG &b = {IN_I} - ({P4} + {OUTPUTR(8)})
      ELSE
	READ/DESC {IN_I} IDENT
	COMP/IMAG &b = {IN_I} - {P4}
      ENDIF	
!
!	extract & flatfield
!
      EXTR/IMAG &c = &b{P6}
      INPUTI =	M$INDEX(IN_I,".fits") - 1
      if INPUTI .GT. 0 THEN
	WRITE/KEY IN_J {IN_I(1:{INPUTI})}.bdf
      else	
	WRITE/KEY IN_J {IN_I}.bdf
      endif	
      COMP/IMAG D{IN_J} = (&c / {P3})
!
!	cut & sky
!
      SET/MIDAS output=LOGONLY
      STAT/IMAG D{IN_J} [@51,@51:@100,@100] 
      SET/MIDAS output=YES	
      CUT1(2)   =  OUTPUTR(8) + (OUTPUTR(4) * 10.)
      CUT1(1)   =  OUTPUTR(8) - (OUTPUTR(4) * 2.)
      WRITE/DESC D{IN_J} SKY/r/1/2 {OUTPUTR(8)},{OUTPUTR(4)}
!      LOAD 	D{IN_J} CUTS={CUT1(1)},{CUT1(2)}
      WRITE/OUT "D{IN_J} : reduced CCD direct image:  {{IN_I},IDENT(1:12)}"
!
      DELE/DESC D{IN_J} HISTOGRAM
      DELE/DESC D{IN_J} HIST_BINS
      DELE/DESC D{IN_J} STATISTIC
    ENDIF
    SET/MIDAS output=YES	
  ENDDO
ENDIF	
!




