DEFI/PARA P1 ? ? "input frame"
DEFI/PARA P2 {WLCORD(1)},0,0 	? "Degree x,y,xy"
DEFI/PARA P3 {{P1},ESO.INS.OPTI6.ID}		N "Grism number"
DEFI/PARA P4 7.5,280.0,0.024 	N "tilt_grism,f_camera,pixel_size"
DEFI/PARA P5 {{P1},REFPIX(1)}	? "Center of optical path on CCD (x,y)"
DEFI/PARA P6 fors_grism.tbl	T "Grism table"
DEFI/PARA P7 fors_fcamera.tbl	T "table with focal length of the camera"

DEFI/PARA P8 1 			? "debug level"


!WRITE/OUT "@s quickmoscalifors {P1} {P2} {P3} {P4} {P5} {P6} {P7} P8={P8}"


DEFI/LOCA DEBUG/I/1/1 {P8}

DEFI/LOCA IN_C/C/1/80  {P6}
DEFI/LOCA IN_D/C/1/80  {MOS}
DEFI/LOCA IN_E/C/1/80  {P7}
WRIT/KEYW OUT_A/C/1/80 {LINFIT}
WRIT/KEYW INPUTR/R/1/2 {ALPHA},{WLCORD}} 
WRIT/KEYW INPUTD/D/1/4 {P4},0,0,0,0

DEFI/LOCA CENTER/D/1/2 {P5},-9999,-9999
DEFI/LOCA ILOG/I/1/1 0
DEFI/LOCA CTMP/C/1/32 " " ALL

WRITE/KEYW INPUTI/I/1/3 {P2},0,0,0,0
IF "{POLTYP(1:1)}" .EQ. "P" THEN
	WRITE/KEYW INPUTI/I/4/1 0
ELSE IF "{POLTYP(1:1)}" .EQ. "C" THEN
	WRITE/KEYW INPUTI/I/4/1 1
ELSE
	WRITE/KEYW INPUTI/I/4/1 2
ENDIF


COPY/DK {P1} START/D/1/2 START/D/1/2
COPY/DK {P1} STEP/D/1/2  STEP/D/1/2


IF "{P5}" .EQ. "-9999" THEN
  WRITE/KEY CTMP REFPIX
  ILOG = M$EXISTD(P1,CTMP)
  IF ILOG .EQ. 1 THEN
    CENTER(1) = {{P1},REFPIX(1)}
  ENDIF
ENDIF

WRITE/OUT "CENTER OF CCD X = {CENTER(1)}"
IF CENTER(1) .LT. 1.5 THEN
	WRITE/OUT "ERROR: Problem with reference pixel"
	RETURN
ENDIF

SELE/TABL {P6} :idno.eq.{P3}

WRIT/KEYW IN_A/C/1/80  {LINPOS}
WRIT/KEYW IN_B/C/1/80  {LINECAT}


RUN STD_EXE:quickmoscalifors.exe






