! @(#)spolcopang.prg	1.4 (ESO-IPG) 2/11/94 13:20:00
!+++++++++++++++++++++++++++++++++++++++++++++++++++++++
!.COPYRIGHT   (C) 1993 European Southern Observatory
!.IDENT       spolcount.prg
!.AUTHORS     Sabine Moehler   (LSW)
!.KEYWORDS    Spectropolarimetry
!.PURPOSE     
!.VERSION     1.0  creation          22-JUL-1994   
!             
!             
!
! NOTE: Copies the angle of the retarder plate from the descriptor "RET_ANGLE"
!       of the frames stored in column {SC} of {spol_tab} to column
!       :RET_ANG of {spol_tab}
!
!	Introduce a parameter to enter descriptor names
!       
!
!-------------------------------------------------------------------------------
! Parameters
!---------------------------------------------------
! ... for sorting part
!---------------------------------------------------
DEFINE/PARAM P1 {SPOL_TAB}     TABLE   "Enter input table:"
DEFINE/PARAM P2 {SC}           CHAR    "Enter column with science frames:"
DEFINE/PARAM P3 :RET_ANGLE     ?       "Enter name of descriptor:"
!-------------------------------------------------------------------------------
! Local keys  for counting part
!---------------------------------------------------
DEFINE/LOCAL NUMROW/I/1/1 0.
DEFINE/LOCAL J/I/1/1 0.
DEFINE/LOCAL RET_ANG/R/1/1 0.
WRITE/KEY TMP/C/1/60 " " ALL
WRITE/KEY REF_SC/C/1/60 " " ALL
!-------------------------------------------------------------------------------
! Initialize column to hold angles of retarder plate
!-------------------------------------------------------------------------------
CREA/COLU {P1} :RET_ANG "degrees" F8.2 R*4
!-------------------------------------------------------------------------------
! Get number of rows in spol_tab
!-------------------------------------------------------------------------------
SORT/TAB {P1} {P2}
COPY/DK {P1}.tbl TBLCONTR/I/4/4 NUMROW
DO J = 1 NUMROW
  COPY/TK {P1} {P2} @{J} TMP/C/1/60
  RET_ANG = {{TMP},{P3}}
  {P1},:RET_ANG,@{J} = {RET_ANG}
ENDDO
