DEFI/PARA P1 start ? "start point:"
DEFI/PARA P2 1 ? "1d or 2d reduction enter 1 or 2"


DEFINE/LOCAL twod/i/1/1 {P2}
DEFINE/LOCAL delete/C/1/1 n

DEFI/LOCA EXTORD/i/1/2 5,2
DEFI/LOCA REBST/R/1/1 5.5

GOTO {P1}

start:

RESET/DISP
CREA/DISP ? 450,450,850,1
GRAP/SPEC ? 1,1
LOAD/LUT idl4

INIT:
-COPY MID_TEST:./spol/d0033.fits d0033.fits
INDI/FITS d0033.fits d0033.bdf
-COPY MID_TEST:./spol/d0013.fits d0013.fits
INDI/FITS d0013.fits d0013.bdf
-COPY MID_TEST:./spol/d0023.fits d0023.fits
INDI/FITS d0023.fits d0023.bdf
-COPY MID_TEST:./spol/d0003.fits d0003.fits
INDI/FITS d0003.fits d0003.bdf
-COPY MID_TEST:./spol/d0059.fits d0059.fits
INDI/FITS d0059.fits d0059.bdf
-COPY MID_TEST:./spol/d0060.fits d0060.fits
INDI/FITS d0060.fits d0060.bdf
-COPY MID_TEST:./spol/d0061.fits d0061.fits
INDI/FITS d0061.fits d0061.bdf
-COPY MID_TEST:./spol/d0062.fits d0062.fits
INDI/FITS d0062.fits d0062.bdf
-COPY MID_TEST:./spol/d0001.fits d0001.fits
INDI/FITS d0001.fits d0001.bdf
-COPY MID_TEST:./spol/hear.mt hear.mt
INDI/FITS  hear.mt  hear.tbl
-COPY MID_TEST:./spol/object.fmt object.fmt
-COPY MID_TEST:./spol/object.dat object.dat
-COPY MID_TEST:./spol/slit.fmt slit.fmt
-COPY MID_TEST:./spol/slit.dat slit.dat
WRITE/OUT "crea/tab object 3 4 object object"
CREA/TAB object 3 4 object.dat object.fmt



INIT/SPOL
write/descriptor d0033 ret_angle/r/1/1 67.5
write/descriptor d0013 ret_angle/r/1/1 22.5
write/descriptor d0023 ret_angle/r/1/1 45
write/descriptor d0003 ret_angle/r/1/1 0
write/descriptor d0059 ret_angle/r/1/1 0
write/descriptor d0060 ret_angle/r/1/1 22.5
write/descriptor d0061 ret_angle/r/1/1 45
write/descriptor d0062 ret_angle/r/1/1 67.5
CREA/COL object :SLIT_TAB ? A40 C*40 
WRITE/TAB object :SLIT_TAB @1 SLITL0000
WRITE/OUT "COPY/SPOL object :SC"
COPY/SPOL object :SC
WRITE/OUT "READ/TAB object"
read/tab object
WRITE/DESCR object.tbl TBLGETFF/C/1/1 S
CREA/TAB SLITL0000 5 2 slit slit
WRITE/OUT "READ/TAB SLITL0000"
READ/TAB SLITL0000


FOLLOW:

WRITE/OUT "LOAD d0059 0 -2"
LOAD d0059 0 -2 
WRITE/OUT "FOLLOW/SPOL d0059 SLITL0000 fit0059 gaus 15,10,10,5 100,600"
FOLLOW/SPOL d0059 SLITL0000 fit0059 gaus 20,10,5,6 100,600


RECTIFY:

WRITE/OUT "RECTIFY/SPOL object :SC :SLIT_TAB fit0059 :RSC ? 600"
RECTIFY/SPOL object :SC :SLIT_TAB fit0059 :RSC ? 600
WRITE/OUT "RECTIFY/SPOL object :FF_OUT :SLIT_TAB fit0059 :RFF_OUT ? 600"
RECTIFY/SPOL object :FF_OUT :SLIT_TAB fit0059 :RFF_OUT ? 600
WRITE/OUT "RECTIFY/SPOL object :CAL :SLIT_TAB fit0059 :RCAL ? 600"
RECTIFY/SPOL object :CAL :SLIT_TAB fit0059 :RCAL ? 600

WRITE/OUT "LOAD Rd0059 0 -2"
LOAD Rd0059 0 -2 


NORM:

WRITE/OUT "SET/SPOL SC=:RSC FF_OUT=:RFF_OUT CALIB=:CAL"
SET/SPOL SC=:RSC FF_OUT=:RFF_OUT CALIB=:CAL
WRITE/OUT "SET/SPOL spol_tab=object nslit=2"
SET/SPOL spol_tab=object nslit=2
WRITE/OUT "LOAD Rd0003 0 -2 ? 0,15000"
LOAD Rd0003 0 -2 ? 0,15000
WRITE/OUT "NORM/SPOL ? ? ? ? 30 median a"
NORM/SPOL ? ? ? ? 30 median a
WRITE/OUT "LOAD NRd0003 0 -2 ? 0.8,1.2"
LOAD NRd0003 0 -2 ? 0.8,1.2


FLAT:

WRITE/OUT "FLAT/SPOL ? ? ? ? i a"
FLAT/SPOL ? ? ? ? i a
WRITE/OUT "LOAD FF_Rd0059 0 -2 ? 0,100"
LOAD FF_Rd0059 0 -2 ? 0,100
WRITE/OUT "FLAT/SPOL ? :RCAL ? :FF_CAL s f"
FLAT/SPOL ? :RCAL ? :FF_CAL s f


FILTER:

!WRITE/OUT "FILTER/MEDIAN FF_Rd0001 FF_Rd0001med 0,3,0"
!FILTER/MEDIAN FF_Rd0001 FF_Rd0001med 0,3,0
!WRITE/TAB object :FF_CAL @1 FF_Rd0001med
!WRITE/TAB object :FF_CAL @2 FF_Rd0001med
!WRITE/TAB object :FF_CAL @3 FF_Rd0001med
!WRITE/TAB object :FF_CAL @4 FF_Rd0001med
WRITE/TAB object :FF_CAL @1 FF_Rd0001
WRITE/TAB object :FF_CAL @2 FF_Rd0001
WRITE/TAB object :FF_CAL @3 FF_Rd0001
WRITE/TAB object :FF_CAL @4 FF_Rd0001


SEARCH:

WRITE/OUT "SET/SPOL calib=:FF_CAL wlc=FF_Rd0001"
SET/SPOL calib=:FF_CAL wlc=FF_Rd0001
WRITE/OUT "WRITE/TAB {spol_tab} {calib} @1 {wlc}"
WRITE/TAB {spol_tab} {calib} @1 {wlc}
WRITE/OUT "set/spol seapar=5,10 ybin=10,10 centmet=gaus"
SET/SPOL seapar=5,10 ybin=10,10 centmet=gaus
WRITE/OUT "XOFFSET/SPOL ? ? ? f"
XOFFSET/SPOL ? ? ? f
WRITE/OUT "SET/SPOL alpha=0.4 poltyp=cheb linecat=hear"
SET/SPOL alpha=0.4 poltyp=cheb linecat=hear
WRITE/OUT "SEARCH/SPOL ? ? ? ? a"
SEARCH/SPOL ? ? ? ? a
WRITE/OUT "LINPLOT/SPOL 1 1 {wlc}"
LINPLOT/SPOL 1 1 {wlc}
WRITE/OUT "LINPLOT/SPOL 2 ? {wlc}"
LINPLOT/SPOL 2 ? {wlc}
WRITE/OUT "SET/SPOL ystart=251"
SET/SPOL ystart=251
WRITE/OUT "IDENT/SPOL"
WRITE/OUT " 322     434     535      689"
WRITE/OUT "3888.   4471.   5015.    5875."
IDENT/SPOL


CALIB:

WRITE/OUT "CALIB/SPOL -1 3 it ? y 50 a ?"
CALIB/SPOL -1 3 it ? y 50 a ?

WRITE/OUT "REBIN/SPOL ? :FF_CAL 3500,8000,{REBST} ? 2 f"
REBIN/SPOL ? :FF_CAL 3500,8000,{REBST} ? 2 f
WRITE/OUT "load REBFF_Rd0001 0 -2 5700,500 0,50"
LOAD REBFF_Rd0001 0 -2 5700,500 0,50



REBIN:

!	INQUIRE/KEY twod "2- or 1-dimensional rebinning? (Default: 2)"



IF TWOD .NE. 1 THEN

  WRITE/OUT "REBIN/SPOL ? :SC_FF 3500,8000,{REBST} ? 2 a"
  REBIN/SPOL ? :SC_FF 3500,8000,{REBST} ? 2 a
  WRITE/OUT "load REBFF_Rd0059 0 -2 5700,500 0,150"
  LOAD REBFF_Rd0059 0 -2 5700,500 0,150


  WRITE/OUT "SET/SPOL min_dist=10"
  SET/SPOL min_dist=10
  WRITE/OUT "SET/SPOL int_lim=1E-10"
  SET/SPOL int_lim=1E-30
  WRITE/OUT "DEFINE/SPOL ? ? 70 5 ? 0 1 f"
  DEFINE/SPOL ? ? 70 5 ? 0 1 f
  WRITE/OUT "DEFINE/SPOL ? ? 70 5 ? 0 0 a"
  DEFINE/SPOL ? ? 70 5 ? 0 0 a


  WRITE/OUT "SKYFIT/SPOL ? ? ? ? ? 5 median a"
  SKYFIT/SPOL ? ? ? ? ? 5 median a
  WRITE/OUT "LOAD SKYREBFF_Rd0059 0 -2 5700,500 0,150"
  LOAD SKYREBFF_Rd0059 0 -2 5700,500 0,150

  WRITE/OUT "SUBSKY/SPOL ? ? ? ? f"
  SUBSKY/SPOL ? ? ? ? f
  WRITE/OUT "LOAD SREBFF_Rd0059 0 -2 5700,500 -50,50"
  LOAD SREBFF_Rd0059 0 -2 5700,500 -50,50


!  WRITE/OUT "SUBSKY/SPOL ? ? ? ? a"
!  SUBSKY/SPOL ? ? ? ? a

!  WRITE/OUT "EXTRACT/SPOL ? ? ? ? 5,2 8,3.9 ? f"
!  EXTRACT/SPOL ? ? ? ? 5,2 8,3.9 ? f
!  WRITE/OUT "PLOT O01SREBFF_Rd0059"
!  PLOT O01SREBFF_Rd0059


  WRITE/OUT "EXTRACT/SPOL ? :SC_REB ? ? {EXTORD} 8,3.9 4 a"
  EXTRACT/SPOL ? :SC_REB ? ? {EXTORD} 8,3.9 4 a
  WRITE/OUT "PLOT O01REBFF_Rd0059"
  PLOT O01REBFF_Rd0059

  COPY/TT objectEX :SC_EX :SC_REB1D
! 
! 2-D polarimetry is still missing (see IPOL) 
!
ELSE 


  WRITE/OUT "SET/SPOL min_dist=10"
  SET/SPOL min_dist=10
  WRITE/OUT "SET/SPOL int_lim=1E-30"
  SET/SPOL INT_LIM=1E-30
  WRITE/OUT "DEFINE/SPOL ? :SC_FF 200 5 ? 0 1 f"
  DEFINE/SPOL ? :SC_FF 200 5 ? 0 3 f
  WRITE/OUT "DEFINE/SPOL ? :SC_FF 200 5 ? 0 0 a"
  DEFINE/SPOL ? :SC_FF 200 5 ? 0 0 a

  LOAD FF_Rd0059    0 -2 ? 0,150
  WRITE/OUT "SKYFIT/SPOL ? :SC_FF ? ? ? 5 median a"
  SKYFIT/SPOL ? :SC_FF ? ? ? 5 median a
  WRITE/OUT "LOAD SKYFF_Rd0059 0 -2 ? 0,150"
  LOAD SKYFF_Rd0059 0 -2 ? 0,150

  WRITE/OUT "SUBSKY/SPOL ? :SC_FF ? ? f"
  SUBSKY/SPOL ? :SC_FF ? ? f
  WRITE/OUT "LOAD SFF_Rd0059 0 -2 ? -50,50"
  LOAD SFF_Rd0059 0 -2 ? -50,50


  WRITE/OUT "EXTRACT/SPOL ? :SC_FF ? ? {EXTORD} 8,3.9 5 a"
  EXTRACT/SPOL ? :SC_FF ? ? {EXTORD} 8,3.9 5 a
  WRITE/OUT "PLOT O01FF_Rd0059"
  PLOT O01FF_Rd0059


  WRITE/OUT "REB1D/SPOL ? ? 3500,8000,{REBST} ? a"
  REB1D/SPOL ? ? 3500,8000,{REBST} ? a
  WRITE/OUT "PLOT O01FF_Rd0059R1D"
  PLOT O01FF_Rd0059R1D
  WRITE/OUT "OVERPLOT O01FF_Rd0059R1DE"
  OVERPLOT O01FF_Rd0059R1DE



ENDIF


STOKES:


WRITE/OUT "XSORT/SPOL {spol_tab} :SC_EX"
XSORT/SPOL {spol_tab} :SC_EX


! 	now compute polarization (added by OS)!

IF TWOD .NE. 1 THEN
  WRITE/OUT "STOKES/SPOL objectEX LIN P6=1N"	
  STOKES/SPOL objectEX LIN P6=1N
ELSE
  WRITE/OUT "STOKES/SPOL objectEX LIN P6=1E"	
  STOKES/SPOL objectEX LIN P6=1E
ENDIF




LPOLTAB:

WRITE/OUT "LPOLTAB/SPOL objectEXI,objectEXIE objectEXp,objectEXpE objectEXt,objectEXtE linptab"
LPOLTAB/SPOL objectEXI,objectEXIE objectEXp,objectEXpE objectEXt,objectEXtE linptab


POLPLOT:

dele/gra 0
crea/gra 0
WRITE/OUT "POLPLOT/SPOL linptab 3500,7000 0.,0. 0.,0. 0.,0."
POLPLOT/SPOL linptab 3500,7000 0.,0. 0.,0. 0.,0.




WRITE/OUT "SAVE/SPOL success"
SAVE/SPOL success


delete:

inquire/key delete "delete all frames/tables created/used by Tutorial?"
IF delete(1:1) .EQ. "y" THEN

	DELE/IMAG E01* NO
	DELE/IMAG FF_* NO
	DELE/IMAG NR* NO
	DELE/IMAG O01* NO
	DELE/IMAG REBFF* NO
	DELE/IMAG Rd00* NO
	DELE/IMAG SFF* NO
	DELE/IMAG SKY* NO
	DELE/IMAG SREB* NO
	DELE/IMAG middumm* NO
	DELE/IMAG objectEX* NO
	DELE/TABL REBFF* NO
	DELE/TABL FF_* NO
	DELE/TABL middumm* NO
	DELE/IMAG d00* NO
	DELE/TABL object* NO
	DELE/TABL slit* NO

ENDIF