! @(#)follow.prg	1.3 (ESO-IPG) 2/11/94 13:19:57
! +++++++++++++++++++++++++++++++++++++++++++++++++
!
! .IDENTIFICATION
!
! SPOL PROCEDURE : FOLLOW.PRG
!
! .PURPOSE
!
! execute the command :
! FOLLOW/SPOL image in-table out-table method width,xbin,xstep thres 
! 
! -------------------------------------------------
!
CROSSREF INFRAME MOSTAB WINTAB METHOD IPAR RPAR
!
DEFINE/PARAM P1 ? IMAGE   "Input image: "
DEFINE/PARAM P2 ? TABLE   "Input table (MOS): "
DEFINE/PARAM P3 ? TABLE   "Output table: "
DEFINE/PARAM P4 GA CHAR   "Centering method: "
DEFINE/PARAM P5 ?   ?     "Width, Xbin, Xstep, fit_order: "
DEFINE/PARAM P6 ?   ?     "Threshold, scan_pos: " 
!
DEFINE/LOCAL NSLIT/I/1/1 0
DEFINE/LOCAL I/I/1/1     0
DEFINE/LOCAL SCAN/R/1/1  0
!
WRITE/KEY IN_A        {P1}
WRITE/KEY IN_B        {P2}
WRITE/KEY OUT_A       {P3}
WRITE/KEY INPUTC      {P4}
WRITE/KEY INPUTI      {P5}
WRITE/KEY INPUTR      {P6}
!
SCAN =  {INPUTR(2)}
!
RUN STD_EXE:FOLLOW
!
NSLIT = {{OUT_A}.tbl,NSLIT}
!
DO I = 1 {NSLIT}
SELECT/TAB {OUT_A} :OBJ_SLIT.EQ.{I}
REGR/POLY {OUT_A} :Y_POS :X_POS {INPUTI(4)}
SAVE/REGR {OUT_A} REGR{I}
ENDDO
!
