!
!  LINPOL.PRG
!
DEFINE/PAR P1 ? C "Enter input Stokes Q and error frames: "
DEFINE/PAR P2 ? C "Enter input Stokes U and error frames: "
DEFINE/PAR P3 ? C "Enter mode for binning output data (N, L, E or T): "
DEFINE/PAR P4 ? N "Enter number of bins for output data: "
DEFINE/PAR P5 ? N "Enter polarization error per bin (%) and bin centre: "
DEFINE/PAR P6 ? N "Enter Stokes errror above which to reject values: "
DEFINE/PAR P7 ? C "Enter output linear polarization and error frames: "
DEFINE/PAR P8 ? C "Enter output position angle and error frames: "
!
! Decode the input P1 to names of Q and Q error files
!
DEFINE/LOCAL IA/I/1/1 1
DEFINE/LOCAL IA1/I/1/1 1
DEFINE/LOCAL IA2/I/1/1 1
WRITE/KEY Q/C/1/60 " " 
WRITE/KEY QERR/C/1/60 " " 
IA = M$INDEX(P1,",")
IA1 = IA - 1
IA2 = IA + 1
WRITE/KEY Q {P1(1:{IA1})}
WRITE/KEY QERR {P1({IA2}:60)}
!
! Decode the input P2 to names of U and U error files
!
WRITE/KEY U/C/1/60 " " 
WRITE/KEY UERR/C/1/60 " " 
IA = M$INDEX(P2,",")
IA1 = IA - 1
IA2 = IA + 1
WRITE/KEY U {P2(1:{IA1})}
WRITE/KEY UERR {P2({IA2}:60)}
!
WRITE/KEY BINMOD/C/1/1 {P3}
WRITE/KEY NBINS/I/1/1 {P4}
WRITE/KEY BINTAB/C/1/60 "binlim"
WRITE/KEY ERR_CEN/R/1/2 {P5}
WRITE/KEY STOSIG/R/1/1 {P6}
!
! Decode the input P7 to name of linear polarization and error file
!
WRITE/KEY LPOL/C/1/60 " " 
WRITE/KEY LPOLERR/C/1/60 " " 
IA = M$INDEX(P7,",")
IA1 = IA - 1
IA2 = IA + 1
WRITE/KEY LPOL {P7(1:{IA1})}
WRITE/KEY LPOLERR {P7({IA2}:60)}
!
! Decode the input P8 to name of position angle and error file
!
WRITE/KEY PA/C/1/60 " " 
WRITE/KEY PAERR/C/1/60 " " 
IA = M$INDEX(P8,",")
IA1 = IA - 1
IA2 = IA + 1
WRITE/KEY PA {P8(1:{IA1})}
WRITE/KEY PAERR {P8({IA2}:60)}
!
RUN  STD_EXE:linpol.exe
