!
!  LPOTAB.PRG
!
DEFINE/PAR P1 ? C "Enter input Total Intensity and error frames: "
DEFINE/PAR P2 ? C "Enter input Linear Polarization and error frames: "
DEFINE/PAR P3 ? C "Enter input Polarization Position Angle and error frames: "
DEFINE/PAR P4 ? C "Enter output intensity, polarization, position angle table: "
!
! Decode the input P1 to names of Total Intensity and error files
!
DEFINE/LOCAL IA/I/1/1 1
DEFINE/LOCAL IA1/I/1/1 1
DEFINE/LOCAL IA2/I/1/1 1
WRITE/KEY TOTINT/C/1/60 " " 
WRITE/KEY TOTERR/C/1/60 " " 
IA = M$INDEX(P1,",")
IA1 = IA - 1
IA2 = IA + 1
WRITE/KEY TOTINT {P1(1:{IA1})}
WRITE/KEY TOTERR {P1({IA2}:60)}
WRITE/OUT "{TOTINT(1:10)} {TOTERR(1:10)}"
!
! Decode the input P2 to names of Linear Polarization and error files
!
WRITE/KEY LPOL/C/1/60 " " 
WRITE/KEY LPOLERR/C/1/60 " " 
IA = M$INDEX(P2,",")
IA1 = IA - 1
IA2 = IA + 1
WRITE/KEY LPOL {P2(1:{IA1})}
WRITE/KEY LPOLERR {P2({IA2}:60)}
WRITE/OUT "{LPOL(1:10)} {LPOLERR(1:10)}"
!
! Decode the input P3 to names of Polarization Position Angle and error files
!
WRITE/KEY PA/C/1/60 " " 
WRITE/KEY PAERR/C/1/60 " " 
IA = M$INDEX(P3,",")
IA1 = IA - 1
IA2 = IA + 1
WRITE/KEY PA {P3(1:{IA1})}
WRITE/KEY PAERR {P3({IA2}:60)}
WRITE/OUT "{PA(1:10)} {PAERR(1:10)}"
!
WRITE/KEY LPTAB/C/1/60 {P4}
RUN STD_EXE:lpotab.exe
