DEFI/PARA P1 ? ? "right ascension or hour angle or azimuth"
DEFI/PARA P2 ? ? "declination or altitude"
DEFI/PARA P3 R ? "mode: R = RA,DEC  H = HA,DEC"
DEFI/PARA P4 -70,43,55.35 ? "geographic longitude"
DEFI/PARA P5 -29,15,25.8 ? "geographic latitude"
IF "{P3}" .EQ. "R" THEN
	DEFI/PARA P6 ? ? "Epoche of given coordinates"
	DEFI/PARA P7 ? ? "date: Y,M,D"
	DEFI/PARA P8 ? ? "UT: H,M,S"
ENDIF

DEFI/LOCA MODE/C/1/1 {P3}
DEFI/LOCA LONGITUDE/D/1/3 {P4},0.,0.,0.
DEFI/LOCA LATITUDE/D/1/3 {P5},0.,0.,0.	

IF "{P3}" .EQ. "R" THEN
	DEFI/LOCA RA/D/1/3 {P1},0.,0.,0.
	DEFI/LOCA DEC/D/1/3 {P2},0.,0.,0.
	DEFI/LOCA EPOCHE/D/1/3 {P6},0.,0.,0.
	DEFI/LOCA DATE/D/1/3 {P7},0.,0.,0.
	DEFI/LOCA UT/D/1/3 {P8},0.,0.,0.	
	DEFI/LOCA ST/D/1/1 0.0
ELSE IF "{P3}" .EQ. "H" THEN
	DEFI/LOCA HA/D/1/3 {P1},0.,0.,0.
	DEFI/LOCA DEC/D/1/3 {P2},0.,0.,0.
ELSE 
	DEFI/LOCA AZIMUTH/D/1/3 {P1},0.,0.,0.
	DEFI/LOCA ALTITUDE/D/1/3 {P2},0.,0.,0.
ENDIF

DEFI/LOCA CTHETA/D/1/3 0.,0.,0.


DEFI/LOCA ALT/D/1/1 0.0
DEFI/LOCA AZI/D/1/1 0.0


IF "{P3}" .NE. "A" THEN
	IF "{P2(1:1)}" .EQ. "-" .AND. DEC(1) .EQ. 0.0 THEN
		DEC(2) = DEC(2) * -1.0
		DEC(3) = DEC(3) * -1.0
	ENDIF
ELSE	
	IF "{P2(1:1)}" .EQ. "-" .AND. ALTITUDE(1) .EQ. 0.0 THEN
		ALTITUDE(2) = ALTITUDE(2) * -1.0
		ALTITUDE(3) = ALTITUDE(3) * -1.0
	ENDIF
ENDIF

IF "{P4(1:1)}" .EQ. "-" .AND. LONGITUDE(1) .EQ. 0.0 THEN
	LONGITUDE(2) = LONGITUDE(2) * -1.0
	LONGITUDE(3) = LONGITUDE(3) * -1.0
ENDIF

IF "{P5(1:1)}" .EQ. "-" .AND. LATITUDE(1) .EQ. 0.0 THEN
	LATITUDE(2) = LATITUDE(2) * -1.0
	LATITUDE(3) = LATITUDE(3) * -1.0
ENDIF



RUN STD_EXE:spolpolcor1


!WRITE/OUT "Altitude = {ALT} Azimuth = {AZI}   angular offset = {CTHETA}"



