define/local continue/c/1/1 y
!-------------------------------------------------------------------------------
! Initialize
!-------------------------------------------------------------------------------
crea/tab objects 3 16 object object
crea/tab objecti 3 16 object object
@@ spolinit
WRITE/OUT "SPOL initialized"
@@ testinit
crea/grap
crea/disp
load/lut heat
WRITE/OUT "test parameters initialized"
!-------------------------------------------------------------------------------
! Locate slitlets
!-------------------------------------------------------------------------------
WRITE/OUT "@@ spollocate objects 600 :FF_OUT S
@@ spollocate objects 600 :FF_OUT S
read/tab objects :SC :SLIT_TAB
inquire/key continue "continue?"
if continue(1:1) .eq. "n" .or. continue(1:1) .eq. "N" goto end
WRITE/OUT "@@ spollocate objecti 600 :FF_OUT I"
@@ spollocate objecti 600,3,0.1 :FF_OUT I 300,10
read/tab objecti :SC :SLIT_TAB
inquire/key continue "continue?"
if continue(1:1) .eq. "n" .or. continue(1:1) .eq. "N" goto end
!-------------------------------------------------------------------------------
! Normalize Flats
!-------------------------------------------------------------------------------
WRITE/OUT "@@ spolnorm objecti ? ? ? 3 poly A"
@@ spolnorm objecti ? ? ? 3 poly A
read/tab objecti :SC :FF_NORM
inquire/key continue "continue?"
if continue(1:1) .eq. "n" .or. continue(1:1) .eq. "N" goto end
WRITE/OUT "@@ spolnorm objects ? ? ? 3 poly F"
@@ spolnorm objects ? ? ? 3 poly F
read/tab objects :SC :FF_NORM
inquire/key continue "continue?"
if continue(1:1) .eq. "n" .or. continue(1:1) .eq. "N" goto end
!-------------------------------------------------------------------------------
! Search calibration lines
!-------------------------------------------------------------------------------
WRITE/OUT "@@ spolslin objecti 40,6 3,3 gauss A"
@@ spolslin objecti 40,6 3,3 gauss A
read/tab objecti :SC :LINPOS
inquire/key continue "continue?"
if continue(1:1) .eq. "n" .or. continue(1:1) .eq. "N" goto end
WRITE/OUT "@@ spolslin objects 40,6 3,3 gauss A"
@@ spolslin objects 40,6 3,3 gauss A
read/tab objects :SC :LINPOS
inquire/key continue "continue?"
if continue(1:1) .eq. "n" .or. continue(1:1) .eq. "N" goto end
!-------------------------------------------------------------------------------
! Determine offsets
!-------------------------------------------------------------------------------
WRITE/OUT "@@ spoloffset objecti ? ? A" 
@@ spoloffset objecti ? ? A
inquire/key continue "continue?"
if continue(1:1) .eq. "n" .or. continue(1:1) .eq. "N" goto end
!-------------------------------------------------------------------------------
! Prepare wavelength calibration
!-------------------------------------------------------------------------------
write/key linecat ha300
sele/tab ha300 :sel.eq.0
WRITE/OUT "@@ spolid " 
@@ spolid
inquire/key continue "continue?"
if continue(1:1) .eq. "n" .or. continue(1:1) .eq. "N" goto end
!-------------------------------------------------------------------------------
! Wavelength calibration
!-------------------------------------------------------------------------------
WRITE/OUT "@@  spolcalib 1 3 iv ? y 100 F objects"
@@ spolcalib 1 3 iv ? y 100 F objects
read/tab objects :SC :LINFIT
inquire/key continue "continue?"
if continue(1:1) .eq. "n" .or. continue(1:1) .eq. "N" goto end
WRITE/OUT "@@  spolcalib 1 3 iv ? n 50  A objecti"
@@ spolcalib 1 3 iv ? n 50  A objecti
read/tab objecti :SC :LINFIT
inquire/key continue "continue?"
if continue(1:1) .eq. "n" .or. continue(1:1) .eq. "N" goto end
!-------------------------------------------------------------------------------
! 2-dimensional rebinning 
!-------------------------------------------------------------------------------
WRITE/OUT "@@ spolrebin objects :CAL 5500,9500,1 ? ? F"
@@ spolrebin objects :CAL 5500,9500,1 ? ? F
load REBhear0001   0 -8,1 7500,250 0,1000
WRITE/OUT "@@ spolrebin objects :SC 5500,9500,1 ? ? F"
@@ spolrebin objects :SC 5500,9500,1 ? ? F
read/tab objects :SC :SC_REB
inquire/key continue "continue?"
if continue(1:1) .eq. "n" .or. continue(1:1) .eq. "N" goto end
!-------------------------------------------------------------------------------
! Search object and sky regions
!-------------------------------------------------------------------------------
WRITE/OUT "@@ spoldefine objects :SC_REB 100 5 20 ? 2 F"
@@ spoldefine objects :SC_REB 100 5 20 ? 2 F
read/tab objects :SC :WINDOWS
inquire/key continue "continue?"
if continue(1:1) .eq. "n" .or. continue(1:1) .eq. "N" goto end
WRITE/OUT "@@ spoldefine objecti :SC 100 5 20 ? 2 A"
@@ spoldefine objecti :SC 100 5 20 ? 2 A
read/tab objecti :SC :WINDOWS
inquire/key continue "continue?"
if continue(1:1) .eq. "n" .or. continue(1:1) .eq. "N" goto end
!-------------------------------------------------------------------------------
! Fit sky
!-------------------------------------------------------------------------------
WRITE/OUT "@@ spolsky objects :SC_REB ? ? ? ? ? F"
@@ spolsky objects :SC_REB ? ? ? ? ? F
read/tab objects :SC :SKY
inquire/key continue "continue?"
if continue(1:1) .eq. "n" .or. continue(1:1) .eq. "N" goto end
WRITE/OUT "@@ spolsky objecti :SC ? ? ? ? ? A"
@@ spolsky objecti :SC ? ? ? ? ? A
read/tab objecti :SC :SKY
inquire/key continue "continue?"
if continue(1:1) .eq. "n" .or. continue(1:1) .eq. "N" goto end
!-------------------------------------------------------------------------------
! Extract objects and subtract sky
!-------------------------------------------------------------------------------
WRITE/OUT "@@ spolext objects :SC_REB ? ? 3,3 20,3 ? F"
@@ spolext objects :SC_REB ? ? 3,3 20,3 ? F
read/tab objectsEX :SC :SC_EX
inquire/key continue "continue?"
if continue(1:1) .eq. "n" .or. continue(1:1) .eq. "N" goto end
WRITE/OUT "@@ spolext objecti :SC ? ? 3,3 20,3 ? A"
@@ spolext objecti :SC ? ? 3,3 20,3 ? A
read/tab objectiEX :SC :SC_EX
inquire/key continue "continue?"
if continue(1:1) .eq. "n" .or. continue(1:1) .eq. "N" goto end
!-------------------------------------------------------------------------------
! 1-dimensional rebinnning
!-------------------------------------------------------------------------------
WRITE/OUT "@@ spolrebin1d objectiEX :SC_EX 5500,9500,1 ? ? A"
@@ spolrebin1d objectiEX :SC_EX 5500,9500,1 ? ? A
plot O1REBobject0001
inquire/key continue "continue?"
if continue(1:1) .eq. "n" .or. continue(1:1) .eq. "N" goto end
!-------------------------------------------------------------------------------
! 1-dimensional "rebinnning" to table
!-------------------------------------------------------------------------------
WRITE/OUT "@@ spolapdisp objectiEX :SC_EX A"
@@ spolapdisp objectiEX :SC_EX A
plot/tab O1object0001AP #1 #3
end:
