/*                                                                         */
/* Initializes column in spol_table, i.e. deletes it if it exists and      */
/* recreates resp. creates it.                                             */
/*                                                                         */
/* S. Moehler 19.07.1994                                                   */

#include <tbldef.h>
#include <midas_def.h>
#include <ok.h>

#define STRLEN 80

main ()

{
  int iav, tid1, nrow1, ncol1, arow1, acol1, nsort1, icol1[3];
  int dum, data_type, alen;

  char spol_table[STRLEN+1], sc[STRLEN+1], col[STRLEN+1], form[9], 
    unit[STRLEN+1], label[STRLEN+1];

/*         get into Midas and get parameters             */

  SCSPRO ("spolcolini");
  
  SCKGETC ("IN_A", 1, STRLEN, &iav, spol_table);
  SCKGETC ("INPUTC", 1, STRLEN, &iav, col);
  SCKGETC ("SC", 1, STRLEN, &iav, sc);

/* open input table and get column numbers */

  TCTOPN (spol_table, F_IO_MODE, &tid1);
  TCIGET (tid1, &ncol1, &nrow1, &nsort1, &acol1, &arow1);
  TCCSER (tid1, sc,&icol1[0]);
  if (icol1[0] == (-1)) SCTPUT("**** reference column :SC not found");

/* search column to be initialized */

  TCCSER (tid1, col, &icol1[1]);
  if (icol1[1] > 0) 
    TCCDEL (tid1, icol1[1], &dum);
  TCFGET (tid1, icol1[0], form, &alen, &data_type);
  sprintf(form, "a40");
  TCUGET (tid1, icol1[0], unit);
  TCLGET (tid1, icol1[0], label);
  TCCINI (tid1, data_type, 40, form, unit, col, &icol1[1]);

TCTCLO(tid1);
SCSEPI ();
}




