/* declarations of the spherical astronomical functions */


void equ2hor(
#ifdef __STDC__
	   double h, double d, double phi, double *az, double *al , 
	   double *theta
#endif
);


extern void hor2equ(
#ifdef __STDC__
           double, double, double, double *, double *, double *
#endif
);


void compst(
#ifdef __STDC__
	    double day, double ut, double phi, double gam, double *gmst, 
	    double *st, char mode
#endif
);


extern void precession(
#ifdef __STDC__
double a,double d, double e[], double *ac, double *dc, 
		       double *zet, double *z, double *the
#endif
);


void transtheta(
#ifdef __STDC__
	   double a, double d, double the, double *thetac
#endif
);


extern int dayofyear(
#ifdef __STDC__
		     double date[]
#endif
		     );

extern void juldat(
#ifdef __STDC__
		     double date[], double ut, double *jd
#endif
		     );


extern void equ2gal(
#ifdef __STDC__
		    double a, double d, double *l, double *b
#endif
);


extern void gal2equ(
#ifdef __STDC__
		    double l, double b, double *a, double *d
#endif
);





