/* @(#)proto_mutil.h	1.1 (ESO-IPG) 2/11/94 10:14:52 */
/*++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
.COPYRIGHT   (c) 1993 European Southern Observatory
.IDENTifer   proto_mutil.h
.AUTHOR      Otmar Stahl 
.KEYWORDS    prototypes
.LANGUAGE    C & ANSI-C
.PURPOSE     prototypes for all NR-Routines routines used in MOS
.ENVIRONment none
.VERSION     1.0    6-APR-1994 Otmar Stahl 
------------------------------------------------------------*/

extern void fit_poly(
#ifdef __STDC__
     float [], float [], int, float *, float *, int, int, double *
#endif
);

extern void dfit_poly(
#ifdef __STDC__
     double [], double [], int, double *, double *, int, int, double *, int
#endif
);

extern void dfit_cali_2D (
#ifdef __STDC__
	  double [], double [], double [], int , 
	  double [], double [], double [], int, 
	  int, double [], int, int, int
#endif
);
extern void eval_disp_2D (
#ifdef __STDC__
	  double [], double [], double [], int , double [], int , char []
#endif
);
extern void eval_disp_2D_rebi (
#ifdef __STDC__
	  double [], double [], double [], int , double [], int , char [], int,
	  int
#endif
);
extern void dleg_2D(
#ifdef __STDC__ 
	  double, double, double [], int 
#endif
);
extern void dcheb_2D(
#ifdef __STDC__ 
	  double, double, double [], int 
#endif
);
extern void dpoly_2D(
#ifdef __STDC__ 
	  double, double, double [], int 
#endif
);


extern void fit_poly_weight(
#ifdef __STDC__
     float [], float [], float [], int, float *, float *, int, int, double *
#endif
);

extern void lfit(
#ifdef __STDC__
     double [], double [], int, double [], int, 
     void (*) (double, double *, int)
#endif
);

extern float eval_fpoly(
#ifdef __STDC__
     float, float *, int
#endif
);

extern double eval_dpoly(
#ifdef __STDC__
     double, double *, int
#endif
);

extern void dpoly(
#ifdef __STDC__
     double, double [], int
#endif
);

extern double eval_dcheb(
#ifdef __STDC__
     double, double *, int
#endif
);

extern void dcheb(
#ifdef __STDC__
     double, double [], int
#endif
);
extern double eval_dleg(
#ifdef __STDC__
     double, double *, int
#endif
);

extern void dleg(
#ifdef __STDC__
     double, double [], int
#endif
);

extern float median(
#ifdef __STDC__
     float [], int
#endif
);

extern void piksrt(
#ifdef __STDC__
     int, float []
#endif
);


extern float median2(
#ifdef __STDC__
     float [], int
#endif
);
extern float nr_select(
#ifdef __STDC__
unsigned long k, unsigned long n, float arr[]
#endif
);


extern double dmedian2(
#ifdef __STDC__
     double [], int
#endif
);
extern double dnr_select(
#ifdef __STDC__
unsigned long k, unsigned long n, double arr[]
#endif
);


extern float select_pos(
#ifdef __STDC__
     int, int, float []
#endif
);

extern float pik_median(
#ifdef __STDC__
     int, float []
#endif
);

extern double dpik_median(
#ifdef __STDC__
     int, double []
#endif
);

extern float heap_median(
#ifdef __STDC__
     int, float []
#endif
);


extern int f2i(  /*next integer*/
#ifdef __STDC__
      float
#endif
);

extern void dfit_ech(
#ifdef __STDC__
	  double [], double [], double [], int, double [], double [],
	  double [], int, int, double [], int *, int, int
#endif
);

extern double  eval_dech (
#ifdef __STDC__
double, double, double [], int 
#endif
);


extern void dechfit (
#ifdef __STDC__
double, double, double [], double *, double [],int
#endif
);

extern double  eval_dech2 (
#ifdef __STDC__
double, double, double [], int 
#endif
);

extern void dechfit2 (
#ifdef __STDC__
double, double, double [], double *, double [],int
#endif
);

extern void polint(
#ifdef __STDC__
     float [], float [], int, float, float *, float *
#endif
);

extern void dpolint(
#ifdef __STDC__
     double [], double [], int, double, double *, double *
#endif
);

extern void dsvdcmp(
#ifdef __STDC__
     double **, int, int, double [], double **
#endif
);

extern void dsvbksb(
#ifdef __STDC__
     double **, double [], double **, int, int, double [], double []
#endif
);

extern double dpythag(
#ifdef __STDC__
     double, double
#endif
);
