!	forsredmos.prg		Thomas Szeifert		1998-12-05
!
!	calculate the dispersion law of FORS in MOS mode from the FORS
!	optics and some of the FORS descriptors.
!
!	the function is temporarly decomissioned until we improve the results

DEFI/PARA P1 ? ? "FLAT"
DEFI/PARA P2 ? ? "WLC"
DEFI/PARA P3 N ? "select a slit?"

DEFI/LOCA TMP/r/1/4 0. ALL
DEFI/LOCA PXLSIZE/R/1/1 {{P1},ESO.DET.CHIP1.PSZX}
DEFI/LOCA flcam/R/1/1 280.0
DEFI/LOCA CENTER/D/1/2 0.,0.
DEFI/LOCA SEAWIN/I/1/2 1,10
DEFI/LOCA MYSTEP/I/1/1 1




SET/MOS FLAT={P1} WLC={P2}
SET/MOS ALPHA=0.2 POLTYP=LEGENDRE



MYSTEP = {{P2},STEP(1)}

PXLSIZE = PXLSIZE/1000.0

IF {{P1},REFPIX(1)} .NE. 1 THEN
  CENTER(1) = {{P1},REFPIX(1)} * {MYSTEP}
ELSE
  IF {{WLC},STEP(2)} .EQ. 2080 THEN
        CENTER(1) = 1033
  ELSE
        CENTER(1) = 1020
  ENDIF
ENDIF

SEAWIN(1) = 2.0 * {MYSTEP} * {{P2},O_TIME(7)} 
SEAWIN(2) = SEAWIN(2) / {MYSTEP}

TMP(1) = ({{WLC},ESO.INS.GRIS1.DISP} * 10.0 * 0.024 * {MYSTEP}) / 4.0

IF "{{P2},ESO.INS.OPTI3.NAME}" .EQ. "COLL_HR" THEN
	SEAWIN(1) = SEAWIN(1) / 8
	SEAWIN(2) = SEAWIN(2) * 1.5
	TMP(1) = TMP(1) * 2
ENDIF



IF {{WLC},NPIX(1)} .EQ. 2080 THEN
	EXTR/IMAG &wlc = {WLC}[17,<:2064,>]
	SET/MOS WLC=middummwlc
ENDIF

@s forsslits {FLAT} ! {MYSTEP}
!comp/tabl mos :xoffset = :xoffset + (16.0/{MYSTEP})
SELE/TABL mos :xoffset.GT.-9900
IF "{P3}" .NE. "N" THEN
	SELE/TABL {MOS} SELECT.AND.:Slit.EQ.{P3}
	COPY/TABL {MOS} middtest
	SET/MOS MOS=middtest
ENDIF

SEAR/MOS {WLC} {SEAWIN(1)},{SEAWIN(2)} 3,5 GAUSS

SELE/TABL {LINPOS} :X.GT.1.0
@s moscalifors.prg {TMP(1)} 5,2,1 {{WLC},ESO.INS.GRIS1.ID} 7.5,{flcam},{PXLSIZE} {CENTER(1)}



REBIN/MOS {WLC} test3 0,0,0




IF {MYSTEP} .EQ. 1 THEN
	LOAD test3 SCALE=-2,-4 !CUTS=150,500
ELSE
	LOAD test3 SCALE=-2,-2 !CUTS=150,500
ENDIF
CLEA/CHAN OVER
SELE/TABL linpos all
LOAD/TABL linpos :WAVEC :Y P7=5
LOAD/TABL linpos :WAVE :Y P6=2 P7=4

!ECHO





