!	forsslits.prg 		Thomas Szeifert		1998-12-05
!
!	calculate the position of the MOS slitlets from the FORS descriptors
!	ESO.INS.MOS.* and the parameters of the FORS-optic
!


DEFI/PARA P1 ? 	? "input file"
DEFI/PARA P2 ? 	N "binning"

DEFI/LOCA CENTER/D/1/2 0.,0.
DEFI/LOCA MOSX/D/1/19 0. ALL
DEFI/LOCA MOSY/D/1/19 0. ALL

DEFI/LOCA TMP/D/1/1 0.0
DEFI/LOCA ITMP/I/1/1 0
DEFI/LOCA CTMP/C/1/80 " " ALL


DEFI/LOCA PXLSIZE/R/1/1 {{P1},ESO.DET.CHIP1.PSZX}
DEFI/LOCA flcam/R/1/1 280.0
IF "{{P1},ESO.INS.OPTI3.NAME}" .EQ. "COLL_SR" THEN
	DEFI/LOCA flcol/R/1/1 1233.0
	SET/MOS MOS=mos_SR
ELSE
	DEFI/LOCA flcol/R/1/1 616.5
	SET/MOS MOS=mos_HR
ENDIF

DEFI/LOCA ILOG/I/1/1 0
DEFI/LOCA I/I/1/1 0

PXLSIZE = PXLSIZE/1000.0

IF {{P1},NPIX(1)} .EQ. 2080 THEN
	CENTER(1) = 1033
	IF {{P1},REFPIX(2)} .GT. 1.0 THEN 
		CENTER(2) = {{P1},REFPIX(2)} * {P2}
	ENDIF
ELSE
	CENTER(1) = 1020
	IF {{P1},REFPIX(2)} .GT. 1.0 THEN 
		CENTER(2) = {{P1},REFPIX(2)} * {P2}
	ENDIF
ENDIF

WRITE/OUT "center = {CENTER(1)},{CENTER(2)}"

DO I = 1 18

  SET/FORM I1
  WRITE/KEY CTMP ESO.INS.MOS{I}.POS
  ILOG = M$EXISTD(P1,CTMP)	

  IF ILOG .EQ. 1 THEN
    TMP = {{P1},ESO.INS.MOS{I}.POS}
    MOSX({I}) = (({{P1},ESO.INS.MOS{I}.POS} / {flcol}) * {flcam}) / {PXLSIZE}

    SET/FORM F10.3
    WRITE/OUT "SLIT: {I}   xoffset = {MOSX({I})}  = {TMP}mm "
    SET/FORM
  ELSE

    WRITE/OUT "SLIT: {I}   closed"
    MOSX({I}) = -9999
    SET/FORM

  ENDIF

  ITMP = 19 - I

!  WRITE/OUT "ITMP = {ITMP}"
  WRITE/TABL {MOS} :SLIT @{ITMP} {I}
  WRITE/TABL {MOS} :xoffset @{ITMP} {MOSX({I})}


ENDDO

SELECT/TABL {MOS} :xoffset.GT.-9999








