! @(#)ipolinit.prg	1.6 (ESO-IPG) 2/15/94 11:30:54
! +
!
!
! -
IF "'P1(1:1)'" .EQ. "?" THEN
   WRITE/OUT " "
   WRITE/OUT "Initializing key words"
   WRITE/OUT " "
   WRITE/KEY SESSLINE/I/1/1 0.
   WRITE/KEY SESSDISP/C/1/3 N
   REGISTER/SESSION IPOL STD_PROC ipolinit.prg ipoltab.tbl
!Begin Session List
   WRITE/KEYW APER/R/1/4      0. ALL   ! deny,fit,sky1->sky2 radii
   WRITE/KEYW CCDPAR/r/1/3    0. ALL   ! RON,gain,Nsigma
   WRITE/KEYW CONIMA/C/1/16   :CON_IMA ! column with convolved images
   WRITE/KEYW DIM_G/I/1/2     21,21    ! dimensions of convolution gaussian
   WRITE/KEYW FF/C/1/16       :FF      ! column with flat fields 
   WRITE/KEYW FF_LOC/C/1/1    S        ! same flat or individual flats
   WRITE/KEYW FF_OUT/C/1/16   :FF_OUT  ! column with averaged flat fields 
   WRITE/KEYW FLATLIM/R/1/3   0.15,4,0 !detection threshold for slitlet location
   WRITE/KEYW FLUXE/C/1/16    :FLUXE   !column with 'extra-ordinary' flux tables
   WRITE/KEYW FLUXO/C/1/16    :FLUXO   ! column with 'ordinary' flux tables
   WRITE/KEYW INT_MODE/C/1/1  O        ! integration mode (Aligned/Original)
   WRITE/KEYW N_SC/I/1/1      0        ! total number of science frames
   WRITE/KEYW NSLIT/I/1/1     0        ! total number of slitlets
   WRITE/KEYW OFF/I/1/2      0,0       ! offset between rays (x,y)
   WRITE/KEYW POSE/C/1/16     :POS_E   ! column for position tables (Extra. ray)
   WRITE/KEYW POSO/C/1/16     :POS_O   ! column for position tables (Ordin. ray)
   WRITE/KEYW POSOBJ/C/1/16   :POSOBJ  ! column for position tables (Ordin. ray)
   WRITE/KEYW PRE_FFSC/C/1/3  FF_      ! prefix for flat-fielded science frames
   WRITE/KEYW PRE_FLUX/C/1/3  FLU      ! prefix for tables created by integ/ipol
   WRITE/KEYW PRE_SUB/C/1/1   S        ! prefix for sky-subtracted sc frames
   WRITE/KEYW PSF/I/1/1   3        ! function type number for ipolmagni
   WRITE/KEYW REF_RET/R/1/1 0          ! retarder plate angle of reference frame
   WRITE/KEYW SC/C/1/16       :SC      ! column with raw science frames 
   WRITE/KEYW SC_END/I/1/16   0        ! last rows in table IPOL_TAB for science
                                       ! frames
   WRITE/KEYW SC_EX/C/1/16    :SC_EX   ! column with extracted science frames 
   WRITE/KEYW SC_FLAT/C/1/16  :SC_FF   ! col. with flat-fielded science frames 
   WRITE/KEYW SC_SKY/C/1/16   :SC_SKY  ! column with sky-subtracted sc frames
   WRITE/KEYW SC_STRT/I/1/16   0       ! first rows in table SPOL_TAB for sc
                                       ! frames
   WRITE/KEYW SCAN_POS/D/1/1   0.      ! center for scan (define/spol) in world 
                                       ! coordinates
   WRITE/KEYW SKY/C/1/16       :SKY    ! column with sky frames 
   WRITE/KEYW SKYTAB/C/1/16    :SKYTAB ! column with sky tables
   WRITE/KEYW SKYPAR/I/1/2     0,0     ! parameters for sky fit
   WRITE/KEYW SKYPOSO/C/1/16 :SKYPOS_O ! column for sky tables (Ordin. ray)
   WRITE/KEYW SKYPOSE/C/1/16 :SKYPOS_E ! column for sky tables (Extra. ray)
   WRITE/KEYW SLIT_TAB/C/1/16  :SLIT_TAB ! column with slitlet tables 
   WRITE/KEYW IPOL_TAB/C/1/60  ipol    ! table with science frames and all 
                                       ! calibration frames and tables 
   WRITE/KEYW SUF_CON/C/1/1   C        ! suffix for convolved images
   WRITE/KEYW SUF_SKY/C/1/3   SKY      ! suffix for sky frames/tables with sky
   WRITE/KEYW SUF_SUB/C/1/3   SUB      ! suffix for sky-subtracted frames
   WRITE/KEYW XBIN/I/1/1       20      ! Binning in X for object search
   WRITE/KEYW ZERO_ANG/R/1/1   0.      ! zero angle of retarder plate
!End Session List
   WRITE/KEYW INPUTI/I/1/10 0 ALL  ! keyword for integer input
   WRITE/KEYW INPUTR/R/1/10 0. ALL ! keyword for real input
   WRITE/KEYW INPUTD/D/1/10 0. ALL ! keyword for double input
ELSE
   SAVINIT/IPOL  {P1}IPOL.tbl READ
ENDIF
