!ipolplot.prg:		plot polarisation vectors read from frames which 
!			contain degree and angle of polarisation
!
!	by Thomas Szeifert & Otmar Stahl, LSW Heidelberg	25. Feb. 1997 
!	
!
!
DEFI/PARA P1 ? ?   "input frame with polarisation degree: "
DEFI/PARA P2 ? ?   "input frame with polarisation angle:  "
DEFI/PARA P3 10.0 ? "scale length of the vectors:          "

DEFI/LOCA STRG/C/1/4 "{MID$CMND(1:4)}"

IF "{STRG(1:4)}" .NE. "LOAD" THEN
   DEFI/PARA P4 {PLRGRAP(1)},{PLRGRAP(2)},{PLRGRAP(3)},{PLRGRAP(4)} ? "XA:"
   DEFI/PARA P5 {PLRGRAP(5)},{PLRGRAP(6)},{PLRGRAP(7)},{PLRGRAP(8)} ? "YA:"
   IF "{STRG(1:4)}" .EQ. "PLOT" THEN		
      SET/GRAP XA={P4} YA={P5}
      SET/GRAP FRAME=SQUARE
   ENDIF	
ELSE
   ASSI/GRAP D	
ENDIF


IF "{STRG(1:4)}" .EQ. "PLOT" THEN
   PLOT/AXES 
ELSEIF "{STRG(1:4)}" .EQ. "LOAD" THEN
   PLOT/AXES 		
!  same scale as load/imag => take keywords from display window
   SET/GRAP XA={IDIMEMR(1)},{IDIMEMR(3)} YA={IDIMEMR(2)},{IDIMEMR(4)}
ELSEIF "{STRG(1:4)}" .EQ. "OVER" THEN
   SET/GRAP XA={P4} YA={P5}
ENDIF



WRITE/KEY IN_A {P1}	
WRITE/KEY IN_B {P2}	
WRITE/KEY INPUTR {P3}

RUN STD_EXE:IPOLPLOT



IF "{STRG(1:4)}" .EQ. "LOAD" THEN
   ASSI/GRAP 
ENDIF

