DEFI/PARA P1 {ipol_tab} ? "PREFIX of the OUTPUT FRAME"
DEFI/PARA P2 ? ? "INPUT  FRAMES in Q,U or Table"
DEFI/PARA P3 0 ? "TABLE WITH CROMATIC ZERO ANGLE OFFSET"
DEFI/PARA P4 0 ? "TABLE WITH INSTRUMENT DEPOLARIZATION"
DEFI/PARA P5 0 ? "TABLE WITH TELESCOPE's INSTRUMENTAL POLARISATION"
DEFI/PARA P6 0 ? "TABLE WITH FILTER CURVE"
IF "{P5}" .NE. "0" THEN
	DEFI/PARA P7 361 N "PARALACTIC ANGLE"
	IF "{P7}" .EQ. "361" THEN
		COMP/AZIM
	ELSE
		OUTPUTD(3) = {P7}
	ENDIF
ENDIF
DEFI/PARA P8 0 N "debug parameter"

INPUTI(1) = {P8}

DEFI/LOCA ISTRG/I/1/2
DEFI/LOCA KOMMA/C/1/1 ","
DEFI/LOCA CBUFF/C/1/4 ".tbl"
DEFI/LOCA ILOG/I/1/1 0

WRITE/KEY OUT_A "{P1}QC"
WRITE/KEY OUT_B "{P1}UC"

ISTRG(1) = M$INDEX(P2,KOMMA) - 1
ISTRG(2) = ISTRG(1) + 2

ILOG = M$INDEX(P2,CBUFF) - 1

IF ISTRG(1) .GT. 0 THEN
	WRITE/KEY IN_A "{P2(1:{ISTRG(1)})}"
	WRITE/KEY IN_B "{P2({ISTRG(2)}:80)}"
ELSE IF ILOG .LT. 1 THEN
	WRITE/KEY IN_A "{P2}Q"
	WRITE/KEY IN_B "{P2}U"
ELSE
	WRITE/KEY IN_A "{P2}"
	WRITE/KEY IN_B " " ALL
ENDIF	

DEFI/LOCA IN_1/C/1/81 "{P3}"
DEFI/LOCA IN_2/C/1/81 "{P4}"
DEFI/LOCA IN_3/C/1/81 "{P5}"
DEFI/LOCA IN_4/C/1/81 "{P6}"

RUN STD_EXE:ipolpolcor2













