! @(#)ipolstok2d.prg   1.3 (ESO-IPG) 2/11/94 13:19:57
! +++++++++++++++++++++++++++++++++++++++++++++++++
!
! .IDENTIFICATION
!
! IPOL PROCEDURE : IPOLSTOK2D.PRG
!
! .PURPOSE
!
! execute the command :
! STOKES/IPOL IPOL_TAB MODE
! 
!CROSSREF IPOL_TAB MODE 

define/param p1 {ipol_tab} ?      "Table with extracted spectra: "
define/param p2 LIN       char    "Linear or Circular pol.: "
define/param p3 {N_SC} 	   ?	"Number of Retarder Positions: " 	
define/param p4 {ZERO_ANG} ?	"Zero angle of retarder plate::" 	
define/param p5 +1	   ?    "Direction of rotation:        "



define/local num/i/1/1 0
define/local n/i/1/1 0
define/local i/i/1/2 0,0
define/local nparts/i/1/1 0
define/local j/i/1/1 0
define/local name/c/1/60 " " all
define/local namcat/c/1/60 " " all
define/local mode/c/1/4 " " all


write/key inputi {p3},{p5}
write/key inputr {p4}




j = m$index(p1,".")-1
if  {j} .gt. 0 then
   write/key name/c/1/{j} {p1(1:{j})}
else
   write/key name/c/1/60 {p1(1:60)}
endif


num = {{name}.tbl,tblcontr(4)}

mode =  m$upper("{p2(1:3)}")
if "{mode}" .eq. "LIN" then
   n = 2*{P3}
else
   n = 4
endif

nparts = {num}/{n}

do j = 1 {nparts}
   i(1)  = ({j}-1)*{n}+1     
   i(2)  = {j}*{n}	


   sele/tab {name} seq.ge.{i(1)}.and.seq.le.{i(2)}

   write/key in_a   {name}
   write/key inputc {mode}

   run STD_EXE:IPOLSTOK2D.EXE

   set/format i1
   write/key namcat {name}{j}
   set/format

enddo
!

