! @(#)ipolstoktb.prg   1.3 (ESO-IPG) 2/11/94 13:19:57
! +++++++++++++++++++++++++++++++++++++++++++++++++
!
! .IDENTIFICATION
!
! IPOL PROCEDURE : IPOLSTOKTB.PRG
!
! .PURPOSE
!
! execute the command :
! STOKES/IPOL IPOL_TAB MODE
! 
CROSSREF IPOL_TAB MODE
define/param p1 {ipol_tab} ?	"Table with extracted fluxes:  " 
define/param p2 LIN 	   char	"Linear or Circular pol.:      "
define/param p3 {N_SC} 	   ?	"Number of Retarder Positions: " 	
define/param p4 {ZERO_ANG} ?	"Zero angle of retarder plate::" 	
define/param p5 +1	   ?    "Direction of rotation:        "

write/key in_a   {p1}
write/key inputc {p2}
write/key inputi {p3},{p5}
write/key inputr {p4}
!
run STD_EXE:IPOLSTOKTBF.EXE
!
IF "{P2}" .EQ. "LIN" THEN
	read/tabl {p1} :I :Q :Qerr :U :Uerr  
	read/tabl {p1} :I :pol :polerr :theta :thetaerr  
ELSE
	read/tabl {p1} :I :Ierr :V :Verr  
ENDIF