! %W% (ESO-IPG) %G% %U%
! %W% (ESO-IPG) %G% %U%
! +++++++++++++++++++++++++++++++++++++++++++++++++
!
! .IDENTIFICATION
!
! MOS PROCEDURE : MOSSLIN.PRG
!
! .PURPOSE
!
! execute the command :
! SEARCH/MOS image params
!
! -------------------------------------------------
!
DEFINE/PARAM P1 READ      CHAR   "Mode (INIT/ADD/DELETE/LOAD/READ): "
DEFINE/PARAM P2 +         NUMB   "Sequence Number:"
DEFINE/PARAM P3 +         NUMB   "Object Limits:"
DEFINE/PARAM P4 +         NUMB   "Sky Limits:"
DEFINE/PARAM P5 {MOS}	  TAB    "MOS Slits Table:"
DEFINE/PARAM P6 {WINDOWS} TAB    "MOS Windows Table:"
DEFINE/PARAM P8 * 	  IMA    "Displayed image:"
!

DEFI/LOCA WINTBL/C/1/80 {P6}


IF "{P1(1:1)}" .EQ. "I" THEN 
  @s mosdefwin,init    {WINTBL}
  copy/tt {P5} :slit   {WINTBL} :Obj_Slit
  copy/tt {P5} :slit   {WINTBL} :Sky_Slit
  copy/tt {P5} :ystart {WINTBL} :Sky_Strt
  copy/tt {P5} :yend   {WINTBL} :Sky_End
  read/table {WINTBL}
ENDIF
!
IF "{P1(1:1)}" .EQ. "R" THEN
   READ/TABLE {WINTBL}
ENDIF
!
IF "{P1(1:1)}" .EQ. "A" THEN
   define/local object/I/1/2 {P3}
   WRITE/TABLE {WINTBL} @{P2} :Obj_Strt {object(1)}
   WRITE/TABLE {WINTBL} @{P2} :Obj_End  {object(2)}
   WRITE/TABLE {WINTBL} @{P2} :Obj_Slit   {P2}        
   WRITE/TABLE {WINTBL} @{P2} :Sky_Slit   {P2}         
   IF "{P4(1:1)}" .NE. "+"  THEN
       define/local sky/I/1/2   {P4}
       WRITE/TABLE {WINTBL} @{P2} :Sky_Strt {sky(1)}
       WRITE/TABLE {WINTBL} @{P2} :Sky_End  {sky(2)}
   ELSE 
       select/table {WINTBL} :Sky_Strt.EQ.NULL.OR.:Sky_End.EQ.NULL >>middummn.tbl
       if outputi(1) .ne. 0 then
          write/out "   "
          write/out "****** Error: Sky Limits must be defined. *****"
          write/out "   "
          read/table {WINTBL}
       else
          select/table {WINTBL} all
       endif
   ENDIF
ENDIF
!
IF "{P1(1:1)}" .EQ. "D" THEN
   select/table {WINTBL} sequence.ne.{P2}
   copy/table   {WINTBL} &w
   COPY/TABLE   &w   {WINTBL}
   READ/TABLE   {WINTBL}
ENDIF
!
IF "{P1(1:1)}" .EQ. "L" THEN

  clear/chan over
  write/out "   Sky limits represented in green  -  Object limits in blue:"

  WRITE/OUT
!  SET/MIDAS OUTPUT=NO
  copy/table {WINTBL} &a

!  comp/table &a :XSTART = {{idimemc},start(1)}
!  comp/table &a :XEND = {{idimemc},start(1)}+{{idimemc},step(1)}*({{idimemc},npix(1)}+1.0)
  comp/table &a :XSTART = {idimemr(1)}
  comp/table &a :XEND = {idimemr(3)}

  COPY/TT &a :Sky_Strt :YSTART
  COPY/TT &a :Sky_End :YEND
  DRAW/RECT middumma.tbl F N 4 
 

  COPY/TT &a :Obj_Strt :YSTART
  COPY/TT &a :Obj_End :YEND
  COMP/TABL &a :buff = (:Obj_Strt + :Obj_End) / 2.0
  SELE/TABL &a :Obj_Slit.gt.0
  DRAW/RECT middumma.tbl F N 5
  LOAD/TABL &a :XSTART :buff :Obj_Slit -1 ? 6 

!  SET/MIDAS OUTPUT=YES

  RETURN
ENDIF

!
ENTRY INIT
!
DEFINE/PARAM P1 ? TAB "Name:"
!
CREATE/TABLE  {P1}  10  100
!
CREATE/COLUMN {P1} :Obj_Slit  F6.0   R*4
CREATE/COLUMN {P1} :Obj_Strt  F10.2  R*4
CREATE/COLUMN {P1} :Obj_End   F10.2  R*4
CREATE/COLUMN {P1} :Sky_Strt  F10.2  R*4
CREATE/COLUMN {P1} :Sky_End   F10.2  R*4 
CREATE/COLUMN {P1} :Sky_Slit  F6.0   R*4
!
RETURN









