!
! test RGB image combination not using ImageMagick 
! OS, 31.8.1998
!
DEFI/PARA P1 ? ? "output frame in jpg format"
DEFI/PARA P2 ? ? "channel r frame"
DEFI/PARA P3 ? ? "channel g frame"
DEFI/PARA P4 ? ? "channel b frame"
DEFI/PARA P5 ? ? "amplification factors in rgb: 1,1,1"
DEFI/PARA P6 LN ? "mode L=linear S=SQUARE A=ALIGN N=NO7ALIGN"

DEFI/LOCA FACTOR/R/1/3 {P5}
DEFI/LOCA uppercut/i/1/1 0
DEFI/LOCA lowerlevel/i/1/1 0
DEFI/LOCA NPIX/I/1/2 0,0

DEFI/LOCA INR/C/1/80 {P2}
DEFI/LOCA ING/C/1/80 {P3}
DEFI/LOCA INB/C/1/80 {P4}

DEFI/LOCA ALIGN/I/1/1 0
DEFI/LOCA LINEAR/I/1/1 0

DEFI/LOCA ext/c/1/4 "fits"
DEFI/LOCA itmp/i/1/1 0

uppercut = 256


IF "{P6(1:1)}" .eq. "A" .OR. "{P6(1:1)}" .eq. "a" THEN
	ALIGN = 1
ELSE IF "{P6(2:2)}" .eq. "A" .OR. "{P6(2:2)}" .eq. "a" THEN
	ALIGN = 1
ENDIF
IF "{P6(1:1)}" .eq. "L" .OR. "{P6(1:1)}" .eq. "L" THEN
	LINEAR = 1
ELSE IF "{P6(2:2)}" .eq. "l" .OR. "{P6(2:2)}" .eq. "l" THEN
	LINEAR = 1
ENDIF


ITMP = M$INDEX(INR,ext) - 2
IF ITMP .gt. 1 THEN
  INDI/FITS {INR} {INR(1:{ITMP})}.bdf 
  WRITE/KEY INR/C/1/80 "{INR(1:{ITMP})}.bdf"
ENDIF
ITMP = M$INDEX(ING,ext) - 2
IF ITMP .gt. 1 THEN
  INDI/FITS {ING} {ING(1:{ITMP})}.bdf 
  WRITE/KEY ING/C/1/80 "{ING(1:{ITMP})}.bdf"
ENDIF
ITMP = M$INDEX(INB,ext) - 2
IF ITMP .gt. 1 THEN
  INDI/FITS {INB} {INB(1:{ITMP})}.bdf 
  WRITE/KEY INB/C/1/80 "{INB(1:{ITMP})}.bdf"
ENDIF

IF ALIGN .EQ. 1 THEN
  LOAD {INR} SCALE=-3
  CLEA/CHAN OVER
  CENT/GAUS CURSOR {P1}.tbl
  CENT/GAUS {ING},{P1}.tbl {ING}
  CENT/GAUS {INB},{P1}.tbl {INB}
  ALIG/IMAG {ING} {P1}
  REBIN/ROTATE {ING} middummrg keyword {INR} YES
  ALIG/IMAG {INB} {P1}
  REBIN/ROTATE {INB} middummrb keyword {INR} YES
ELSE
  -COPY {ING}.bdf middummrg.bdf
  -COPY {INB}.bdf middummrb.bdf  
ENDIF


if LINEAR .EQ. 1 THEN

	COMP/IMAG middummr = {INR} * {FACTOR(1)}/255.0 
	load middummr cuts=0,{uppercut}

	COMP/IMAG middummg = middummrg * {FACTOR(2)}/255.0 
	load middummg cuts=0,{uppercut}

	COMP/IMAG middummb = middummrb * {FACTOR(3)}/255.0 
	load middummb cuts=0,{uppercut}

ELSE


	COMP/IMAG middummg = SQRT({ING} * {FACTOR(2)}) 
	load middummg cuts=0,{uppercut}

	COMP/IMAGE middummt = SQRT({INR} * {FACTOR(1)}) / middummg
	FILTER/MEDI  middummt middummtf  1,1,0.05
	COMP/IMAG middummr = SQRT({INR} * {FACTOR(1)}) * middummtf
	load middummr cuts=0,{uppercut}

	COMP/IMAGE middummt = SQRT({INB} * {FACTOR(3)}) / middummg
	FILTER/MEDI  middummt middummtf  1,1,0.05
	COMP/IMAG middummb = SQRT({INB} * {FACTOR(3)}) * middummtf
	load middummb cuts=0,{uppercut}

ENDIF


@s bdf2rgb middummr middummg middummb {P1}.ppm 

WRITE/OUT "--> RESULT FILE WITH REAL COLOR IMAGE WRITTEN TO FILE {P1}.ppm"


















