!
!______________median of the flat field frames_____________
!
DEFI/PARA P1 ? ? "setup number:"
DEFI/PARA P2 {OSTABLE} ? "observation summary table	:"
DEFI/PARA P3 {FF{P1}} ? "output image  (no ext.)	:"
DEFI/PARA P4 {BIAS} ? "bias frame			:"
DEFI/PARA P5 {OVERSCAN} ? "overscan area [@xst,@yst:@xend,@yend]"
DEFI/PARA P6 {USEAREA} ? "usefull area on CCD	[@xst,@yst:@xend,@yend] :"
DEFI/PARA P8 CLAS ? "classify images:"
set/format I1
!
!
DEFINE/LOCAL CRDESC/C/1/5 "CRFF{P1}"
DEFINE/LOCAL NFLAT/I/1/1 0
DEFINE/LOCAL IN_I/C/1/80 " " all
DEFINE/LOCAL IN_J/C/1/80 " " ALL
DEFINE/LOCAL I/i/1/1 1

DEFI/LOCA PATCH_4p/c/1/32 "[800,800:1000,1000]"
	
COPY/KD {CRDESC(1:5)}/C/1/320 {P2}.tbl {CRDESC(1:5)}/c/1/320
SET/FORMAT
!
!
!
CREA/ICAT flatout NULL

IF "{P8}" .EQ. "CLAS" THEN
	CLAS/IMAG {P2} {CRDESC} :{CRDESC} yes
ENDIF
DISP/LONG
SET/MIDAS output=LOGONLY
!
DO I = 1 {{P2}.tbl,TBLCONTR(4)}
   IF "{{P2}.tbl,:{CRDESC},@{I}}" .eq. "yes" then
	NFLAT = NFLAT + 1
      	WRITE/KEYW IN_I {{P2},:FILENAME,@{I}}
	SET/MIDAS output=yes
	WRITE/OUT "processing file {IN_I}"	
	SET/MIDAS output=LOGONLY
	IF "{P5(1:1)}" .EQ. "[" THEN
		STAT/IMAG {IN_I} {P5} #512
		COMP/IMAG &b = {IN_I} - ( {P4} + {OUTPUTR(8)} )
		EXTR/IMAG &e = &b{P6}
		STAT/IMAG &e {PATCH_4p}
		INPUTI = M$INDEX(IN_I,".fits") - 1
		COMP/IMAG midd{IN_I(1:{INPUTI})} = &e / {OUTPUTR(8)}
		ADD/ICAT  flatout midd{IN_I(1:{INPUTI})}.bdf
	ELSE
		READ/DESC {IN_I} IDENT
		COMP/IMAG &e = {IN_I} - {P4}
		STAT/IMAG &e {PATCH_4p}
		INPUTI = M$INDEX(IN_I,".fits") - 1
		WRITE/KEY IN_J/C/1/80 midd{IN_I(1:{INPUTI})}.bdf
		COMP/IMAG {IN_J} = &e / {OUTPUTR(8)}
		ADD/ICAT  flatout {IN_J}
	ENDIF
   ENDIF
ENDDO
SET/MIDAS output=YES
!
IF NFLAT .GT. 0 then
!	AVER/WIND {P3} = flatout.cat MEDIAN
	MEDI/QUIC flatout.cat {P3} 1
	WRITE/OUT "resulting mean flatfield has been stored in file {P3}.bdf"
ELSE
	WRITE/OUT "none of the frame passed classification rule"
ENDIF
!
DELE/IMAG midd* NO
!
