! @(#)mosshow.prg	1.2 (ESO-IPG) 2/11/94 13:20:01
!+++++++++++++++++++++++++++++++++++++++++++++++++++++++
!
!.COPYRIGHT   (C) 1991 European Southern Observatory
!.IDENT       mosshow.prg
!.AUTHOR      Pascal Ballester,  ESO - Garching
!.KEYWORDS    Spectroscopy, Echelle, 
!.PURPOSE     Display echelle session parameters
!.VERSION     1.0    Creation    21-AUG-1991  PB
!
!-------------------------------------------------------
!
DEFINE/PARAM P1  ALL  CHAR  "Selection (GEN) : "
DEFINE/LOCAL I/I/1/1 0
DEFINE/LOCAL LINE/C/1/80 "_" all
!
!ECHO/OFF
SET/FORMAT I1 F12.3,F12.3
!
write/key SESSLINE/i/1/1 2 ! Initialize the line counter
SHOW/SESS  "**************** quick parameters  *******************"
!IF P1(1:1) .EQ. "G"  GOTO GEN
!GEN:
SHOW/SESS "general parameters:  "
SHOW/SESS "   object name (OBJECT):               {OBJECT}"
SHOW/SESS "   descriptor table (DLIST)            {DLIST}"
SHOW/SESS "   observation summary tabl (OSTABLE)  {OSTABLE}"
SHOW/SESS "   overscan area (OVERSCAN)            {OVERSCAN}"	
SHOW/SESS "   usefull area (USEAREA)              {USEAREA}"
SHOW/SESS "   number of flat field setups (NSET)  {NSET}"
SHOW/SESS "   observation mode (OBSTYPE)          {OBSTYPE}"	
SHOW/SESS " "
SHOW/SESS "spectroscopic parameters:"
SHOW/SESS "   wave length calibration (OBJQUIC)   {OBJQUIC}"	
SHOW/SESS "   wave length calibration (FLATQUIC)  {FLATQUIC}"	
SHOW/SESS "   wave length calibration (WLCQUIC)   {WLCQUIC}"	
SHOW/SESS " "
SHOW/SESS "bias:"
SHOW/SESS "   classification rules of bias (CRBIAS)"
SHOW/SESS  ...{CRBIAS}
SHOW/SESS "   output file with 2D-bias pattern (BIAS)      {BIAS}"
!
DO I = 1 {NSET}
  SESSLINE = SESSLINE + 1
  WRITE/OUT "{LINE(1:69)}"
  SHOW/SESS "setup {I}" 
  SHOW/SESS "   classification rule of object (CROBJ{I}) :	"
  SESSLINE = SESSLINE + 1
  WRITE/OUT "   {CROBJ{I}(1:66)}"
  SESSLINE = SESSLINE + 1
  WRITE/OUT "   {CROBJ{I}(67:132)}"
  SESSLINE = SESSLINE + 1
  WRITE/OUT "   {CROBJ{I}(133:198)}"
  SESSLINE = SESSLINE + 1
  WRITE/OUT "   {CROBJ{I}(199:256)}"
  SHOW/SESS "   target file for setup {i} (OBJ{I})		{OBJ{i}}" 
  SHOW/SESS "   classification rule of  FF (CRFF{I}) :	"
  SESSLINE = SESSLINE + 1
  WRITE/OUT "   {CRFF{I}(1:66)}"
  SESSLINE = SESSLINE + 1
  WRITE/OUT "   {CRFF{I}(67:132)}"
  SESSLINE = SESSLINE + 1
  WRITE/OUT "   {CRFF{I}(133:198)}"
  SESSLINE = SESSLINE + 1
  WRITE/OUT "   {CRFF{I}(199:256)}"
  SHOW/SESS "   output filename of mean flatfield (FF{I})	{FF{I}}"
ENDDO
IF "{P1(1:1)}" .NE. "A"  RETURN
  SHOW/SESS "{LINE(1:72)}"
SET/FORMAT
RETURN




