C
C
        PROGRAM MEDIAN20
C
      IMPLICIT NONE
C
      CHARACTER     IDENT*72,CUNIT*64
      CHARACTER*60  INA,INB,CAT,FNAME
      INTEGER       MADRID(1),KNULL,KUNIT(1)
      INTEGER*4     JI,ANZAHL,L,IA,IE
      INTEGER*4     N(2),IACT,IDUN,IDNUL,NN,IAV,IND,NAXIS
      INTEGER*4     PNTRA,STAT,PNTRB,IMNOA,IMNOB,PNTRC
      INTEGER*4     IMNOC,PIX,IMA
      REAL*4        IM(5000,300)      ! 40 RECORDS, MAX 300 BILDER
      REAL*4        HILF(300)
      REAL*8        START(2),STEP(2)
C
      COMMON /VMR/ MADRID
C
      INCLUDE 'MID_INCLUDE:ST_DEF.INC'
      INCLUDE 'MID_INCLUDE:ST_DAT.INC'
C
      CALL STSPRO('MEDIAN20')
C
      PIX = 5000
      IMA = 300
C       INPUTBILD
C       OUTPUTDATEI
C
C    MIDAS CATALOG DER INPUT FILES 
      CALL STKRDC ('IN_C',1,1,60,IAV,CAT,KUNIT,KNULL,STAT)
C
C   OUTPUT FILE FUER MEDIAN
      CALL STKRDC ('IN_A',1,1,60,IAV,INA,KUNIT,KNULL,STAT)
C
C   OUTPUT FILE FUER SIGMA
      CALL STKRDC ('IN_B',1,1,60,IAV,INB,KUNIT,KNULL,STAT)
C
C   EINTRAEGE IM KATALOG
        CALL STCSHO (CAT,ANZAHL,L,STAT)
C   1. BILD IM KATALOG
        CALL STCFND (CAT,1,FNAME,STAT)
C   GROESSE DES ARRAYS
        IMNOC = 1
        CALL STFOPN (FNAME,D_R4_FORMAT,0,F_IMA_TYPE,IMNOC,STAT)
        CALL STDRDI (IMNOC,'NPIX',1,2,IACT,N,IDUN,IDNUL,STAT)
C
C
C   MEDIAN UND SIGMA IMAGE ANLEGEN
      NAXIS = 2
      CALL STIPUT (INA,D_R4_FORMAT,F_O_MODE,F_IMA_TYPE,NAXIS,
     *   N,START,STEP,IDENT,CUNIT,PNTRA,IMNOA,STAT)
      CALL STIPUT (INB,D_R4_FORMAT,F_O_MODE,F_IMA_TYPE,NAXIS,
     *   N,START,STEP,IDENT,CUNIT,PNTRB,IMNOB,STAT)
        NN = N(1) * N(2)
C
           IA = 1
           IE = PIX
           IF (IE .GT .NN) IE = NN
           CALL STFXMP (PIX,D_R4_FORMAT,PNTRC,STAT)
C
1111    CONTINUE
C
        ID = IE - IA + 1            ! ANZAHL DER PIXEL JE RECORD
        DO JI=1,ANZAHL              ! ANZAHL DER BILDER
        IND = JI
C
C   BILD IM KATALOG
          CALL STCFND (CAT,IND,FNAME,STAT)
C   INPUT FILE
          CALL STFOPN (FNAME,D_R4_FORMAT,0,F_IMA_TYPE,IMNOC,STAT)
        CALL STFGET (IMNOC,IA,ID,IACT,MADRID(PNTRC),STAT)
        CALL STFCLO (IMNOC,STAT)
C
          CALL MATRIX (MADRID(PNTRC),IM,IND,FNAME,ID,IMA)
C
        ENDDO
C
        CALL FILTER (HILF,IM,ANZAHL,MADRID(PNTRA),MADRID(PNTRB),IA,IE,
     2       ID)
C
        IA = IE + 1
        IE = IE + PIX
        IF (IE .GT. NN) IE = NN
        IF (IA .LT. NN) GOTO 1111       ! SCHLEIFE ZUM BILDER EINLESEN
        CALL STSEPI
C
        STOP
        END
C
C 
C
          SUBROUTINE MATRIX (BUF,IM,JI,FNAME,ID,IMA)
C
        CHARACTER*60 FNAME
        INTEGER*4    ID,IMA,JI
        REAL*4       BUF(1)
        REAL*4       IM(ID,IMA)
C
        DO I=1,ID
           IM(I,JI) = BUF(I)
        ENDDO
        DO K = 1,ID
           IF (ABS(IM(K,JI)).GE.1E25) THEN
           WRITE(6,1124) FNAME
1124       FORMAT(2X,'FEHLERHAFTES BILD : ', A20)
           END IF
        ENDDO
C
        RETURN
        END
C
C
C
      SUBROUTINE FILTER (BUF,MAT,M,OUT,SIG,IA,IE,ID)
C
      IMPLICIT NONE
C
      INTEGER*4 I,IANZ,ID
      INTEGER*4 JB,IB,IA,IE
      INTEGER*4 M,M2
      REAL*4    MAT(ID,M)
      real*4    BUF(M)
      REAL*4    OUT(1),SIG(1)
      REAL*4    RES
      REAL*4    SUM,SUM2,SUMN
C
C
      IANZ = (IE - IA) +1             ! ANZAHL DER WERTE
      M2 = (M+1) / 2                  ! M : ANZAHL DER BILDER
        IB = IA -1
      DO JB=1,IANZ                    ! SCHLEIFE FUER 20 RECORDS
        IB = IB +1
        SUM = 0.
        SUM2 = 0.
        DO 1 I=1,M
           SUM = SUM + MAT(JB,I)
           SUM2 = SUM2 + (MAT(JB,I)*MAT(JB,I))
 1      CONTINUE
        SUMN = SUM / M
        SIG(IB) = SQRT(ABS(SUM2 - SUMN*SUM) / (M-1)) ! STANDARTABWEICHUNG
      ENDDO
C
      IB = IA-1
      DO JB=1,IANZ     
         DO I = 1,M
            BUF(I) = MAT(JB,I)
         ENDDO
         CALL HPSORT(M,BUF)
         IF (MOD(M,2) .EQ. 0) THEN
            RES = 0.5*BUF(M2)+0.5*BUF(M2+1)
         ELSE
            RES = BUF(M2)
         ENDIF
         IB = IB + 1
         OUT(IB) = RES
      ENDDO
C     
 999  RETURN
      END
C
C
C
      SUBROUTINE hpsort(n,ra)
C
      INTEGER n
      REAL ra(n)
      INTEGER i,ir,j,l
      REAL rra
      if (n.lt.2) return
      l=n/2+1
      ir=n
10    continue
        if(l.gt.1)then
          l=l-1
          rra=ra(l)
        else
          rra=ra(ir)
          ra(ir)=ra(1)
          ir=ir-1
          if(ir.eq.1)then
            ra(1)=rra
            return
          endif
        endif
        i=l
        j=l+l
20      if(j.le.ir)then
          if(j.lt.ir)then
            if(ra(j).lt.ra(j+1))j=j+1
          endif
          if(rra.lt.ra(j))then
            ra(i)=ra(j)
            i=j
            j=j+j
          else
            j=ir+1
          endif
        goto 20
        endif
        ra(i)=rra
      goto 10
      END

