! @(#)mosdefwin.prg	7.2 (ESO-IPG) 5/6/94 17:25:49
! +++++++++++++++++++++++++++++++++++++++++++++++++
!
! .IDENTIFICATION
!
! MOS PROCEDURE : MOSSLIN.PRG
!
! .PURPOSE
!
! execute the command :
! SEARCH/MOS image params
!
! -------------------------------------------------
!
DEFINE/PARAM P1  READ    CHAR   "Mode (INIT/ADD/DELETE/LOAD/READ): "
DEFINE/PARAM P2   +      NUMB   "Sequence Number:"
DEFINE/PARAM P3   +      NUMB   "Object Limits:"
DEFINE/PARAM P4   +      NUMB   "Sky Limits:"
DEFINE/PARAM P5  mos     TAB    "MOS Slits Table:"
DEFINE/PARAM P6  window  TAB    "MOS Windows Table:"
DEFINE/PARAM P8   *      IMA    "Displayed image:"
!
IF P1(1:1) .EQ. "I" THEN 
  @s mosdefwin,init    {P6}
  copy/tt {P5} :slit   {P6} :Obj_Slit
  copy/tt {P5} :slit   {P6} :Sky_Slit
  copy/tt {P5} :ystart {P6} :Sky_Strt
  copy/tt {P5} :yend   {P6} :Sky_End
  read/table {P6}
ENDIF
!
IF P1(1:1) .EQ. "R" THEN
   READ/TABLE {P6}
ENDIF
!
IF P1(1:1) .EQ. "A" THEN
   define/local object/I/1/2 {P3}
   WRITE/TABLE {P6} @{P2} :Obj_Strt {object(1)}
   WRITE/TABLE {P6} @{P2} :Obj_End  {object(2)}
   IF P4(1:1) .NE. "+"  THEN
       define/local sky/I/1/2   {P4}
       WRITE/TABLE {P6} @{P2} :Sky_Strt {sky(1)}
       WRITE/TABLE {P6} @{P2} :Sky_End  {sky(2)}
   ENDIF
ENDIF
!
IF P1(1:1) .EQ. "D" THEN
   select/table {P6} sequence.ne.{P2}
   copy/table   {P6} &w
   COPY/TABLE   &w   {P6}
   READ/TABLE   {P6}
ENDIF
!
IF P1(1:1) .EQ. "L" THEN

write/out "Sky limits represented in green..."
write/out "Object limits represented in blue..."
copy/tab {p6} &a
copy/tab {p6} &b
comp/tab &a :x_pos = {{idimemc},start(1)}
comp/tab &b :x_pos = {{idimemc},start(1)}+({{idimemc},step(1)}*{{idimemc},npix(1)})
merge/tab &a &b &c
sort/tab &c :sky_strt
clear/chan over
load/tab &c :x_pos :sky_strt :sky_slit -1 ? 4
load/tab &c :x_pos :sky_end :sky_slit -1 ? 4
sort/tab &c :obj_strt
load/tab &c :x_pos :obj_strt :obj_slit -1 ? 5
load/tab &c :x_pos :obj_end :obj_slit -1 ? 5

ENDIF
!
ENTRY INIT
!
DEFINE/PARAM P1 ? TAB "Name:"
!
CREATE/TABLE  {P1}  10  100
!
CREATE/COLUMN {P1} :Obj_Slit  F6.0   R*4
CREATE/COLUMN {P1} :Obj_Strt  F10.2  R*4
CREATE/COLUMN {P1} :Obj_End   F10.2  R*4
CREATE/COLUMN {P1} :Sky_Strt  F10.2  R*4
CREATE/COLUMN {P1} :Sky_End   F10.2  R*4 
CREATE/COLUMN {P1} :Sky_Slit  F6.0   R*4
!
RETURN
