! @(#)spolcount.prg	1.4 (ESO-IPG) 2/11/94 13:20:00
!+++++++++++++++++++++++++++++++++++++++++++++++++++++++
!.COPYRIGHT   (C) 1993 European Southern Observatory
!.IDENT       spolcount.prg
!.AUTHORS     Sabine Moehler   (LSW)
!.KEYWORDS    Spectropolarimetry
!.PURPOSE     
!.VERSION     1.0  creation          22-JUL-1994   
!             
!             
!
! NOTE: Counts the low and high row numbers for each science frame in 
!       {spol_tab}
!
!-------------------------------------------------------------------------------
! Parameters
!---------------------------------------------------
! ... for sorting part
!---------------------------------------------------
DEFINE/PARAM P1 {SPOL_TAB}     TABLE   "Enter input table:"
!-------------------------------------------------------------------------------
! Local keys  for counting part
!---------------------------------------------------
DEFINE/LOCAL NUMROW/I/1/1 0.
DEFINE/LOCAL J/I/1/1 0.
DEFINE/LOCAL J_END/I/1/1 0.
WRITE/KEY TMP/C/1/60 " " ALL
WRITE/KEY REF_SC/C/1/60 " " ALL
!-------------------------------------------------------------------------------
! Get number of rows in spol_tab
!-------------------------------------------------------------------------------
SORT/TAB {P1} {SC}
COPY/DK {P1}.tbl TBLCONTR/I/4/4 NUMROW
N_SC = 0
DO J = 1 NUMROW
  COPY/TK {P1} {SC} @{J} TMP/C/1/60
  IF J .eq. 1 THEN
    WRITE/KEY REF_SC/C/1/60 {TMP}
    WRITE/KEY N_SC 1
    WRITE/KEY SC_STRT/I/1/1 1
  ENDIF
  IF TMP(1:60) .ne. REF_SC(1:60) THEN
    WRITE/KEY REF_SC {TMP}
    J_END = J-1
    WRITE/KEY SC_END/I/{N_SC}/{N_SC} {J_END}
    N_SC = N_SC+1
    WRITE/KEY SC_STRT/I/{N_SC}/{N_SC} {J} 
  ENDIF
ENDDO
WRITE/KEY SC_END/I/{N_SC}/{N_SC} {NUMROW}
