! @(#)spolinit.prg	1.6 (ESO-IPG) 2/15/94 11:30:54
! +
!
!  PROCEDURE SPOLINIT
!  EXECUTE THE COMMAND
!  INIT/SPOL [NAME]
!
! -
IF "'P1(1:1)'" .EQ. "?" THEN
   WRITE/OUT " "
   WRITE/OUT "Initializing key words"
   WRITE/OUT " "
   WRITE/KEY SESSLINE/I/1/1 0.
   WRITE/KEY SESSDISP/C/1/3 N
   REGISTER/SESSION SPOL STD_PROC spolinit.prg spoltab.tbl
!Begin Session List
   WRITE/KEYW ALPHA/R/1/1     0.2 !Rejection parameter for lines matching [0,.5]
   WRITE/KEYW AVDISP/R/1/1    0.       ! Average dispersion per pixel
   WRITE/KEYW CAL/I/1/100     0  ALL   !Results of spolcalib (+1 disp relation
                                       ! fitted, -1 no disp relation fitted)
   WRITE/KEYW CALIB/C/1/16    :CAL     ! column with WLC frames 
   WRITE/KEYW CCDPAR/C/1/60   " " ALL  !read-out-noise/conversion factor of CCD 
   WRITE/KEYW CENTMET/C/1/16  gravity  ! centering method for calibration lines
   WRITE/KEYW EXTPAR/C/1/60   3,3      ! extraction parameters (order, iter)
   WRITE/KEYW FF/C/1/16       :FF      ! column with flat fields 
   WRITE/KEYW FF_LOC/C/1/1    S        ! same flat or individual flats
   WRITE/KEYW FF_NORM/C/1/16  :FF_NORM ! column with normalized flat fields 
   WRITE/KEYW FF_OUT/C/1/16   :FF_OUT  ! column with averaged flat fields 
   WRITE/KEYW FFORD/I/1/1     3        ! order of fit for the FF normalization
   WRITE/KEYW FLATLIM/R/1/3   0.15,4,0 !detection threshold for slitlet location
   WRITE/KEYW FORS01/D/1/2    6484.5,0.84 ! Central wavelength and average 
                                       ! dispersion (A/pix) of grism fors01
   WRITE/KEYW GRISM/I/1/1     1        ! No. of grism used 

   WRITE/KEYW INT_LIM/D/1/1   0.001    !fraction of central intensity where 
                                       ! object limits shall be defined
   WRITE/KEYW ISLIT/I/1/1     0        ! counter for slitlets
   WRITE/KEYW LID/D/1/50      0. ALL   !Positions of ident. lines (Angstroems)
   WRITE/KEYW LIM_LOW/I/1/40  0 ALL    ! lower limits of selected slitlets
   WRITE/KEYW LIM_UP/I/1/40   0 ALL    ! upper limits of selected slitlets
   WRITE/KEYW LINECAT/C/1/60  hear     ! table with wavelength positions 
   WRITE/KEYW LINFIT/C/1/16   :LINFIT  ! column with LINFIT tables 
   WRITE/KEYW LINPOS/C/1/16   :LINPOS  ! column with LINPOS tables 
   WRITE/KEYW MAXDEV/R/1/1    10.      ! Maximum deviation (pixels)
   WRITE/KEYW MIN_DIST/I/1/1  3        ! Minimum distance between object/sky
   WRITE/KEYW MIN_SKY/I/1/1   5        ! minimum number of rows for sky
   WRITE/KEYW NORMMET/C/1/20  POLY     ! method for FF normalization
   WRITE/KEYW NPIX/I/1/2      0,0      ! size of raw frame 
   WRITE/KEYW N_SC/I/1/1      0        ! total number of science frames
   WRITE/KEYW NSLIT/I/1/1     0        ! total number of slitlets
   WRITE/KEYW OFFTAB/C/1/16   :OFFTAB  ! column with offset tables (offsets
                                       ! between frames)
   WRITE/KEYW PLOTC/C/1/1     N        ! Plot residuals of wavel. calibration
   WRITE/KEYW POLTYP/C/1/10   CHEBYSHEV ! type of polynomials used for fitting
                                        ! (Legendre or Chebyshev)
   WRITE/KEYW PRE_FF/C/1/3    FF_      ! prefix for averaged flats
   WRITE/KEYW PRE_FFSC/C/1/3  FF_      ! prefix for flat-fielded science frames
   WRITE/KEYW PRE_NORM/C/1/1  N        ! prefix for normalized flats
   WRITE/KEYW PRE_REB/C/1/3   REB      ! prefix for 2-dim. rebinned frames
   WRITE/KEYW PRE_REC/C/1/1   R        ! prefix for rectified frames
   WRITE/KEYW PRE_SKY/C/1/3   SKY      ! prefix for sky frames
   WRITE/KEYW PRE_SUB/C/1/3   S        ! prefix for sky-subtracted sc frames
   WRITE/KEYW REBEND/D/1/1    0.       ! Final wavelength for rebinning
   WRITE/KEYW REBMET/C/1/12   LINEAR   ! Rebinning method (LIN, QUADRAT, SPLINE)
   WRITE/KEYW REBSTP/D/1/1    0.       ! Wavelength step for rebinning
   WRITE/KEYW REBSTRT/D/1/1   0.       ! Starting wavelength for rebinning
   WRITE/KEYW REJTHRES/R/1/1  3.       ! rejection threshold for cosmics
   WRITE/KEYW SC/C/1/16       :SC      ! column with raw science frames 
   WRITE/KEYW SC_END/I/1/16   0        ! last rows in table SPOL_TAB for science
                                       ! frames
   WRITE/KEYW SC_EX/C/1/16    :SC_EX   ! column with extracted science frames 
   WRITE/KEYW SC_FLAT/C/1/16  :SC_FF   ! col. with flat-fielded science frames 
   WRITE/KEYW SC_SKY/C/1/16   :SC_SKY  ! column with sky-subtracted sc frames
   WRITE/KEYW SC_REB/C/1/16   :SC_REB  ! column with rebinned science frames 
   WRITE/KEYW SC_REB1D/C/1/16 :SC_REB1D ! col with 1-dim rebinned sc frames
   WRITE/KEYW SC_STRT/I/1/16   0       ! first rows in table SPOL_TAB for sc
                                       ! frames
   WRITE/KEYW SCAN_POS/D/1/1   0.      ! center for scan (define/spol) in world 
                                       ! coordinates
   WRITE/KEYW SEAPAR/C/1/20    200,5   ! detection threshold and width 
   WRITE/KEYW SHIFTTOL/I/1/1   4      ! tolerance for line identification from
                                       ! one slitlet to next (mode ID)
   WRITE/KEYW SKY/C/1/16       :SKY    ! column with sky frames 
   WRITE/KEYW SKYMET/C/1/16    MEDIAN  ! method used to fit sky  
   WRITE/KEYW SKYPAR/I/1/6     5 ALL   ! parameters for sky-subtraction 
   WRITE/KEYW SLIT_TAB/C/1/16  :SLIT_TAB ! column with slitlet tables 
   WRITE/KEYW SLITNUM/I/1/20   0 ALL   ! slitlets for determining offsets
   WRITE/KEYW SLITOFF/C/1/60   slitoff ! table with offsets between rays
   WRITE/KEYW SLITSEL/I/1/40   -1 ALL  ! numbers of selected slitlets
   WRITE/KEYW SPOL_TAB/C/1/60  spol    ! table with science frames and all 
                                       ! calibration frames and tables 
   WRITE/KEYW START/D/1/2      0.,0.   ! start values of raw frame 
   WRITE/KEYW STEP/D/1/2       0.,0.   ! step-size of raw frame 
   WRITE/KEYW SUF_FIT/C/1/3    FIT     ! suffix for tables with disp coefs.
   WRITE/KEYW SUF_R1D/C/1/3    R1D     ! suffix for 1-dim. rebinned frames
   WRITE/KEYW SUF_WIN/C/1/3    WIN     ! suffix for WINDOWS table
   WRITE/KEYW THRESH/R/1/1     -0.04   ! detection threshold for object search
   WRITE/KEYW TOL/R/1/1        1.0     ! tolerance in Angstr. for wavel. ident.
   WRITE/KEYW TOLWIND/I/1/1    4       ! tolerance window for calibration lines
   WRITE/KEYW WCENTER/D/1/1    0.      ! Central wavelength 
   WRITE/KEYW WIND/I/1/1       5       ! detection window for object search 
   WRITE/KEYW WINDOWS/C/1/16   :WINDOWS ! column with WINDOWS tables 
                                       ! (sky/objects positions) 
   WRITE/KEYW WLC/C/1/60       " "     ! calibration frame  
   WRITE/KEYW WLCMET/C/1/2     FC      ! Wavel. calibration method (ILF/CVF)
   WRITE/KEYW WLCNITER/I/1/2   3,20    ! Minimum, Maximum number of iterations
   WRITE/KEYW WLCORD/I/1/2     3,1     ! order of fit for disp  rel. (x/y)
   WRITE/KEYW XBIN/I/1/1       20      ! Binning in X for object search
   WRITE/KEYW XPOS/D/1/50      0. ALL  ! Positions of identified lines (pixels)
   WRITE/KEYW YBIN/C/1/20      3,3     ! Step and Binning in Y
   WRITE/KEYW YSTART/I/1/1     0       ! Starting row for calibr. (pixel value)
   WRITE/KEYW ZERO_ANG/R/1/1   0.      ! zero angle of retarder plate
   WRITE/KEYW NOBJ/I/1/1 0        ! number of objects found by define/mos
   WRITE/KEYW NSKY/I/1/1 0        ! number of sky found by define/mos
!End Session List
   WRITE/KEYW INPUTI/I/1/10 0 ALL  ! keyword for integer input
   WRITE/KEYW INPUTR/R/1/10 0. ALL ! keyword for real input
   WRITE/KEYW INPUTD/D/1/10 0. ALL ! keyword for double input
ELSE
   SAVINIT/SPOL  {P1}SPOL.tbl READ
ENDIF
